linux (6.6.0-18.0ok1) nile; urgency=medium

  * Build 6.6.0-18

 -- Xie Wei <xiewei@kylinos.cn>  Tue, 30 Sep 2025 16:24:55 +0800

linux (6.6.0-17.1ok2) nile; urgency=medium

  [ Xianglai Li ]
  * LoongArch: KVM: Fix the extioi simulation error

  [ Song Gao ]
  * LoongArch: KVM: Solve the problem of starting up the upstream qemu

  [ Xianglai Li ]
  * LoongArch: KVM: Enhance the robustness of extioi

  [ wanghongliang ]
  * LoongArch: Fix access mode of 7A2000 acpi gpio.

  [ Huacai Chen ]
  * LoongArch: Add debugfs entries to switch SFB/TSO state

  [ Ming Wang ]
  * LoongArch: Reserve the EFI memory map region
  * LoongArch: Support mem=<size> kernel parameter

  [ mengxiangdong ]
  * net: stmmac: dwmac-loongson: Set correct {tx,rx}_fifo_size

  [ Liu Zhehui ]
  * HAOC: remove leftover iee_offset code from kaslr

 -- Xie Wei <xiewei@kylinos.cn>  Mon, 18 Aug 2025 11:36:35 +0800

linux (6.6.0-17.1ok1) nile; urgency=medium

  [ zhubing ]
  * HAOC: slove compile error for iee-gate.S

  [ Jiajia Liu ]
  * KYLIN: drm/gb02: fix build error

 -- Xie Wei <xiewei@kylinos.cn>  Mon, 11 Aug 2025 13:53:49 +0800

linux (6.6.0-17.0ok1) nile; urgency=medium

  * build 6.6.0-17

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 08 Aug 2025 18:45:44 +0800

linux (6.6.0-16.0ok2) nile; urgency=medium

  [ Longlong Xia ]
  * KYLIN: virtio/vsock: correct variable name from "pkt" to "skb"

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 13 Jun 2025 17:39:39 +0800

linux (6.6.0-16.0ok1) nile; urgency=medium

  * bump kernel version to 6.6.0-16

 -- Xie Wei <xiewei@kylinos.cn>  Thu, 12 Jun 2025 12:01:37 +0800

linux (6.6.0-15.0ok14) nile; urgency=medium

  [ 会计空间 ]
  * update net/netlink/af_netlink.c.
  * update net/netlink/af_netlink.h.

  [ realpan ]
  * update net/vmw_vsock/virtio_transport_common.c. （cherry picked commit from <gitee.com//openkylin/linux/commit/8dfaef89b3eea24f35073df655620842c6afc9b2>

  [ haodongdong ]
  * scsi: leapioraid: supports LEAPIO RAID controller

  [ fuhao ]
  * HYGON: pinctrl: Add device HID for Hygon GPIO controller
  * HYGON: KVM: x86/svm: Add set_guest_pat_wb parameter for non-passthrough application scenarios
  * HYGON: x86/amd_nb: Fix northbridge init warning in guest for Hygon family 18h model 4h
  * HYGON: EDAC/amd64: Fix the calculation of cs_id for Hygon family 18h model 4h
  * HYGON: EDAC/amd64: Use u16 for some umc variables for Hygon family 18h model 4h
  * HYGON: EDAC/amd64: Fix the calculation of instance_id for Hygon family 18h model 6h
  * HYGON: EDAC/amd64: Get intlv_num_dies from F0x60 for Hygon family 18h model 6h
  * HYGON: EDAC/mce_amd: Add LS and IF mce types for Hygon family 18h model 7h
  * HYGON: x86/amd_nb: Get DF_ID from F5 device for Hygon family 18h model 7h
  * HYGON: iommu/hygon: Add support for Hygon family 18h model 10h IOAPIC
  * HYGON: x86/amd_nb: Add helper function to identify Hygon family 18h model 10h
  * HYGON: EDAC/amd64: Adjust address translation for Hygon family 18h model 10h
  * HYGON: EDAC/amd64: Check if umc channel is enabled for Hygon family 18h model 10h
  * HYGON: EDAC/amd64: Get correct memory type for Hygon family 18h model 10h
  * HYGON: EDAC/amd64: Get instance_id for Hygon family 18h model 10h
  * HYGON: perf/x86/amd/core: Fix performance monitor for Hygon family 18h processor
  * HYGON: x86/amd_nb: Add support for Hygon family 18h model 8h
  * HYGON: EDAC/amd64: Add support for Hygon family 18h model 8h

  [ Huacai Chen ]
  * ALSA: hda: Poll jack events for LS7A HD-Audio

  [ Liu Zhehui ]
  * HAOC: Add check for x86 CPU version

  [ Guomin Chen ]
  * syscon: Add ACPI support for syscon

  [ Zichar.Zhang ]
  * gpio: cdns: add acpi support for gpio driver.

  [ Guomin.Chen ]
  * phy: cix: add usb phy driver for Cix platform.
  * usb: cdns3: add cdnsp usb support for Cix platform.

  [ Chao.Zeng ]
  * usb: typec: Add typec pd driver for Cix platform.

  [ Richie.Ren ]
  * irqchip: add irqchip driver for Cix platform.

  [ Guomin.Chen ]
  * i2c: cix: Add i2c driver for Cix I2C adapter

  [ Jerry.Zhu ]
  * clocksource: timer-sky1-gpt: add sky1 gpt timer support

  [ Guomin.Chen ]
  * DMA: add arm dma350 driver.
  * clk: cix: add sky1-audss and acpi clk drivers.
  * reset: add reset support for sky1 platform.
  * soc: cix: add acpi support for Cix platform.

  [ Guomin Chen ]
  * drm: cix: add drm driver for CiX platforms.

  [ Lihua Liu ]
  * remoteproc: cix: Add rproc driver for dsp on Cix platform.

  [ xing.wang ]
  * ASoC: CIX: add sound controller&codec driver.

  [ cunyuan.liu ]
  * drm: Increase DRM_OBJECT_MAX_PROPERTY to 48

  [ Guomin Chen ]
  * arm64: configs: Update openkylin_generic_defconfig for CIX

  [ Liu Zhehui ]
  * HAOC: Fix KEYP NULL ptr panic

  [ Tiezhu Yang ]
  * LoongArch: Handle fp, lsx, lasx and lbt assembly symbols
  * LoongArch: Make some signal and ptrace functions non-static
  * LoongArch: Export some signal functions

  [ Baolin Wang ]
  * mm: add statistics for PUD level pagetable

  [ Sunil V L ]
  * RISC-V: ACPI: Update the return value of acpi_get_rhct()

  [ chenchangcheng ]
  * net: ngbe: Fix compile error
  * net: wireless: Fix compile errors for wireless module.
  * net: wireless: Fix compile errors for wireless module.

  [ Jia Wang ]
  * arch:riscv: add UltraRisc DP1000 support

  [ zhangtianxiong ]
  * glenfly: Fix compile error in RISC-V

  [ Xianglai Li ]
  * LoongArch: KVM: Add reset function for irqchip
  * LoongArch: KVM: Fixed VM migration failure after ptw was enabled
  * LoongArch: KVM: add virt extioi cpu encode support
  * LoongArch: KVM: Reload guest CSR registers after S4
  * LoongArch: KVM: Add interrupt checking with Loongson AVEC
  * LoongArch: KVM: Repair the restart pressure test virtual machine hang dead problem
  * LoongArch: Revert "LoongArch: Fix cpu hotplug issue"
  * drivers/pci: Enable pci bridge acs capability

  [ Bibo Mao ]
  * LoongArch: KVM: Fix PMU pass-through issue if VM exits to host finally

  [ Xianglai Li ]
  * loongarch/configs: enable vfio mdev config
  * driver/vfio: disable vfio pci intx
  * drivers/iommu: add iommu support

  [ wanghongliang ]
  * LoongArch: adjust the calc method of number of packages.

  [ Huacai Chen ]
  * LoongArch: Correct the cacheinfo sharing information

  [ Bibo Mao ]
  * LoongArch: LSVZ: Clear LLBCTL if secondary mmu mapping is changed

  [ gaojuxin ]
  * LoongArch: net/stmmac: dwmac-loongson: fix Mac DMA reset

  [ wanghongliang ]
  * LoongArch: eiointc:Fix ext irq route error.

  [ Juxin Gao ]
  * LoongArch: drivers/char: add ACPI firmware support for Loongson SE driver

  [ Ming Wang ]
  * LoongArch: rtc-loongson: clear TOY_MATCH0_REG in loongson_rtc_isr()

  [ Zhao Qunqin ]
  * LoongArch: hda/pci: Add AZX_DCAPS_NO_TCSEL flag for Loongson HDA devices

  [ Gao Qihang ]
  * LoongArch: Preserve firmware configuration if ACPI requires.

  [ Jia Wang ]
  * riscv:defconfig: remove the invalid nodes in dp1000.dts

  [ Qunqin Zhao ]
  * tpm: Add a driver for Loongson TPM device

  [ 黄剑唯 ]
  * scsi: mvsas: Remove unused mvs_phys_reset()

  [ Takashi Iwai ]
  * ALSA: seq: Skip event type filtering for UMP events

  [ Qu Wenruo ]
  * btrfs: fix a use-after-free when hitting errors inside btrfs_submit_chunk()

  [ Josef Bacik ]
  * btrfs: run delayed iputs when flushing delalloc

  [ Stefan Metzmacher ]
  * smb/client: avoid dereferencing rdata=NULL in smb2_new_read_req()

  [ Huang-Huang Bao ]
  * pinctrl: rockchip: correct RK3328 iomux width flag for GPIO2-B pins

  [ Ma Ke ]
  * pinctrl: single: fix potential NULL dereference in pcs_get_function()

  [ Jonathan Cameron ]
  * of: Add cleanup.h based auto release via __free(device_node) markings

  [ Alexander Sverdlin ]
  * wifi: wfx: repair open network AP mode

  [ Sascha Hauer ]
  * wifi: mwifiex: duplicate static structs used in driver instances

  [ Haiyang Zhang ]
  * net: mana: Fix race of mana_hwc_post_rx_wqe and new hwc response

  [ Matthieu Baerts (NGI0) ]
  * mptcp: close subflow when receiving TCP+FIN
  * mptcp: sched: check both backup in retrans
  * mptcp: pm: reuse ID 0 after delete and re-add
  * mptcp: pm: skip connecting to already established sf
  * mptcp: pm: reset MPC endp ID when re-added
  * mptcp: pm: send ACK on an active subflow
  * mptcp: pm: do not remove already closed subflows
  * mptcp: pm: fix ID 0 endp usage after multiple re-creations
  * mptcp: pm: ADD_ADDR 0 is not a new address
  * selftests: mptcp: join: check removing ID 0 endpoint
  * selftests: mptcp: join: no extra msg if no counter
  * selftests: mptcp: join: check re-re-adding ID 0 endp

  [ Alex Deucher ]
  * drm/amdgpu: align pp_power_profile_mode with kernel docs
  * drm/amdgpu/swsmu: always force a state reprogram on init

  [ Zack Rusin ]
  * drm/vmwgfx: Fix prime with external buffers

  [ Steven Rostedt ]
  * tracing: Have format file honor EVENT_FILE_FL_FREED

  [ Greg Kroah-Hartman ]
  * usb: typec: fix up incorrectly backported "usb: typec: tcpm: unregister existing source caps before re-registration"

  [ Jonathan Cameron ]
  * of: Introduce for_each_*_child_of_node_scoped() to automate of_node_put() handling

  [ Krzysztof Kozlowski ]
  * thermal: of: Fix OF node leak in thermal_of_trips_init() error path
  * thermal: of: Fix OF node leak in of_thermal_zone_find() error paths

  [ Yuntao Liu ]
  * ASoC: amd: acp: fix module autoloading

  [ Vijendar Mukunda ]
  * ASoC: SOF: amd: Fix for acp init sequence

  [ Nícolas F. R. A. Prado ]
  * pinctrl: mediatek: common-v2: Fix broken bias-disable for PULL_PU_PD_RSEL_TYPE

  [ Hal Feng ]
  * pinctrl: starfive: jh7110: Correct the level trigger configuration of iev register

  [ Christian Brauner ]
  * ovl: pass string to ovl_parse_layer()

  [ Zhihao Cheng ]
  * ovl: fix wrong lowerdir number check for parameter Opt_lowerdir
  * ovl: ovl_parse_param_lowerdir: Add missed '\n' for pr_err

  [ David Howells ]
  * mm: Fix missing folio invalidation calls during truncation
  * cifs: Fix FALLOC_FL_PUNCH_HOLE support

  [ Scott Mayhew ]
  * selinux,smack: don't bypass permissions check in inode_setsecctx hook

  [ Jason Gunthorpe ]
  * iommufd: Do not allow creating areas without READ or WRITE

  [ Xu Yang ]
  * phy: fsl-imx8mq-usb: fix tuning parameter name

  [ Krzysztof Kozlowski ]
  * soundwire: stream: fix programming slave ports for non-continous port maps

  [ Mrinmay Sarkar ]
  * dmaengine: dw-edma: Fix unmasking STOP and ABORT interrupts for HDMA
  * dmaengine: dw-edma: Do not enable watermark interrupts for HDMA

  [ Piyush Mehta ]
  * phy: xilinx: phy-zynqmp: Fix SGMII linkup failure on resume

  [ Serge Semin ]
  * dmaengine: dw: Add peripheral bus width verification
  * dmaengine: dw: Add memory bus width verification

  [ Neeraj Sanjay Kale ]
  * Bluetooth: btnxpuart: Resolve TX timeout error in power save stress test
  * Bluetooth: btnxpuart: Handle FW Download Abort scenario
  * Bluetooth: btnxpuart: Fix random crash seen while removing driver

  [ Luiz Augusto von Dentz ]
  * Bluetooth: hci_core: Fix not handling hibernation actions

  [ Jason Gunthorpe ]
  * iommu: Do not return 0 from map_pages if it doesn't do anything

  [ Pablo Neira Ayuso ]
  * netfilter: nf_tables: restore IP sanity checks for netdev/egress

  [ Anjaneyulu ]
  * wifi: iwlwifi: fw: fix wgds rev 3 exact size

  [ Jamie Bainbridge ]
  * ethtool: check device is present when getting link settings

  [ Pablo Neira Ayuso ]
  * netfilter: nf_tables_ipv6: consider network offset in netdev/egress validation

  [ Petr Machata ]
  * selftests: forwarding: no_forwarding: Down ports on cleanup
  * selftests: forwarding: local_termination: Down ports on cleanup

  [ Jianbo Liu ]
  * bonding: implement xdo_dev_state_free and call it after deletion
  * bonding: extract the use of real_device into local variable
  * bonding: change ipsec_lock from spin lock to mutex

  [ Cong Wang ]
  * gtp: fix a potential NULL pointer dereference

  [ Ondrej Mosnacek ]
  * sctp: fix association labeling in the duplicate COOKIE-ECHO case

  [ Ma Ke ]
  * drm/amd/display: avoid using null object of framebuffer

  [ Eric Dumazet ]
  * net: busy-poll: use ktime_get_ns() instead of local_clock()

  [ Aleksandr Mishin ]
  * nfc: pn533: Add poll mod list filling check

  [ Volodymyr Babchuk ]
  * soc: qcom: cmd-db: Map shared memory as WC, not WB

  [ Bjorn Andersson ]
  * soc: qcom: pmic_glink: Actually communicate when remote goes down
  * soc: qcom: pmic_glink: Fix race during initialization

  [ Ian Ray ]
  * cdc-acm: Add DISABLE_ECHO quirk for GE HealthCare UI Controller

  [ Murali Nalajala ]
  * firmware: qcom: scm: Mark get_wq_ctx() as atomic call

  [ Yihang Li ]
  * scsi: sd: Ignore command SYNCHRONIZE CACHE error if format in progress

  [ ZHANG Yuntian ]
  * USB: serial: option: add MeiG Smart SRM825L

  [ Michal Vokáč ]
  * ARM: dts: imx6dl-yapp43: Increase LED current to match the yapp4 HW design

  [ Krzysztof Kozlowski ]
  * usb: dwc3: omap: add missing depopulate in probe error path

  [ Selvarasu Ganesan ]
  * usb: dwc3: core: Prevent USB core invalid event buffer address access

  [ Krzysztof Kozlowski ]
  * usb: dwc3: st: fix probed platform device ref count on probe error path
  * usb: dwc3: st: add missing depopulate in probe error path

  [ Zijun Hu ]
  * usb: core: sysfs: Unmerge @usb3_hardware_lpm_attr_group in remove_power_attributes()

  [ Pawel Laszczak ]
  * usb: cdnsp: fix incorrect index in cdnsp_get_hw_deq function
  * usb: cdnsp: fix for Link TRB with TC

  [ Sicelo A. Mhlongo ]
  * ARM: dts: omap3-n900: correct the accelerometer orientation

  [ Adam Ford ]
  * arm64: dts: imx8mp-beacon-kit: Fix Stereo Audio on WM8962

  [ Peng Fan ]
  * arm64: dts: imx93: add nvmem property for fec1
  * arm64: dts: imx93: add nvmem property for eqos

  [ Shenwei Wang ]
  * arm64: dts: imx93: update default value for snps,clk-csr

  [ Markus Niebel ]
  * arm64: dts: freescale: imx93-tqma9352: fix CMA alloc-ranges
  * arm64: dts: freescale: imx93-tqma9352-mba93xxla: fix typo

  [ Ben Hutchings ]
  * scsi: aacraid: Fix double-free on probe failure

  [ Guenter Roeck ]
  * apparmor: fix policy_unpack_test on big endian systems

  [ Greg Kroah-Hartman ]
  * Linux 6.6.49

  [ Qiuxu Zhuo ]
  * drm/fb-helper: Don't schedule_work() to flush frame buffer during panic()

  [ Philip Mueller ]
  * drm: panel-orientation-quirks: Add quirk for OrangePi Neo

  [ Kyoungrul Kim ]
  * scsi: ufs: core: Check LSDBS cap when !mcq

  [ Peter Wang ]
  * scsi: ufs: core: Bypass quick recovery if force reset is needed

  [ Qu Wenruo ]
  * btrfs: tree-checker: validate dref root and objectid

  [ Takashi Iwai ]
  * ALSA: hda/generic: Add a helper to mute speakers at suspend/shutdown
  * ALSA: hda/conexant: Mute speakers at suspend / shutdown
  * ALSA: ump: Transmit RPN/NRPN message at each MSB/LSB data reception
  * ALSA: ump: Explicitly reset RPN with Null RPN
  * ALSA: seq: ump: Use the common RPN/bank conversion context
  * ALSA: seq: ump: Transmit RPN/NRPN message at each MSB/LSB data reception
  * ALSA: seq: ump: Explicitly reset RPN with Null RPN

  [ Yevgeny Kliteynik ]
  * net/mlx5: DR, Fix 'stack guard page was hit' error in dr_rule

  [ Paulo Alcantara ]
  * smb: client: fix FSCTL_GET_REPARSE_POINT against NetApp

  [ Bruno Ancona ]
  * ASoC: amd: yc: Support mic on HP 14-em0002la

  [ Devyn Liu ]
  * spi: hisi-kunpeng: Add validation for the minimum value of speed_hz

  [ Richard Fitzgerald ]
  * i2c: Fix conditional for substituting empty ACPI functions

  [ Rik van Riel ]
  * dma-debug: avoid deadlock between dma debug vs printk and netconsole

  [ ZHANG Yuntian ]
  * net: usb: qmi_wwan: add MeiG Smart SRM825L

  [ Krzysztof Stępniak ]
  * ASoC: amd: yc: Support mic on Lenovo Thinkpad E14 Gen 6

  [ Zhang Yi ]
  * ASoC: codecs: ES8326: button detect issue

  [ Matthieu Baerts (NGI0) ]
  * mptcp: pm: fix RM_ADDR ID for the initial subflow
  * selftests: mptcp: join: cannot rm sf if closed

  [ Paolo Abeni ]
  * selftests: mptcp: add explicit test case for remove/readd

  [ Matthieu Baerts (NGI0) ]
  * selftests: mptcp: join: check re-using ID of unused ADD_ADDR
  * selftests: mptcp: join: check re-adding init endp with != id
  * selftests: mptcp: join: validate event numbers
  * selftests: mptcp: join: check re-re-adding ID 0 signal
  * selftests: mptcp: join: test for flush/re-add endpoints
  * selftests: mptcp: join: disable get and dump addr checks

  [ Ma Jun ]
  * drm/amdgpu: Fix uninitialized variable warning in amdgpu_afmt_acr

  [ Alvin Lee ]
  * drm/amd/display: Assign linear_pitch_alignment even for VM

  [ Tim Huang ]
  * drm/amdgpu: fix overflowed array index read warning

  [ Ma Jun ]
  * drm/amdgpu/pm: Check the return value of smum_send_msg_to_smc

  [ Jesse Zhang ]
  * drm/amd/pm: fix uninitialized variable warning

  [ Tim Huang ]
  * drm/amd/pm: fix uninitialized variable warning for smu8_hwmgr

  [ Jesse Zhang ]
  * drm/amd/pm: fix warning using uninitialized value of max_vid_step
  * drm/amd/pm: Fix negative array index read
  * drm/amd/pm: fix the Out-of-bounds read warning

  [ Tim Huang ]
  * drm/amd/pm: fix uninitialized variable warnings for vega10_hwmgr

  [ Zhigang Luo ]
  * drm/amdgpu: avoid reading vf2pf info size from FB

  [ Alex Hung ]
  * drm/amd/display: Check gpio_id before used as array index

  [ Hersen Wu ]
  * drm/amd/display: Stop amdgpu_dm initialize when stream nums greater than 6

  [ Alex Hung ]
  * drm/amd/display: Check index for aux_rd_interval before using

  [ Hersen Wu ]
  * drm/amd/display: Add array index check for hdcp ddc access

  [ Alex Hung ]
  * drm/amd/display: Check num_valid_sets before accessing reader_wm_sets[]
  * drm/amd/display: Check msg_id before processing transcation

  [ Hersen Wu ]
  * drm/amd/display: Fix Coverity INTERGER_OVERFLOW within construct_integrated_info
  * drm/amd/display: Fix Coverity INTEGER_OVERFLOW within dal_gpio_service_create

  [ Alex Hung ]
  * drm/amd/display: Spinlock before reading event

  [ Hersen Wu ]
  * drm/amd/display: Fix Coverity INTEGER_OVERFLOW within decide_fallback_link_setting_max_bw_policy

  [ Alex Hung ]
  * drm/amd/display: Ensure index calculation will not overflow

  [ Hersen Wu ]
  * drm/amd/display: Skip inactive planes within ModeSupportAndSystemConfiguration
  * drm/amd/display: Fix index may exceed array range within fpu_update_bw_bounding_box

  [ Asad Kamal ]
  * drm/amd/amdgpu: Check tbo resource pointer

  [ Tim Huang ]
  * drm/amd/pm: fix uninitialized variable warnings for vangogh_ppt

  [ Ma Jun ]
  * drm/amdgpu/pm: Fix uninitialized variable warning for smu10
  * drm/amdgpu/pm: Fix uninitialized variable agc_btc_response
  * drm/amdgpu: Fix the uninitialized variable warning
  * drm/amdgpu: Fix out-of-bounds write warning

  [ Lin.Cao ]
  * drm/amdkfd: Check debug trap enable before write dbg_ev_file

  [ Ma Jun ]
  * drm/amdgpu: Fix out-of-bounds read of df_v1_7_channel_number

  [ Tim Huang ]
  * drm/amdgpu: fix ucode out-of-bounds read warning
  * drm/amdgpu: fix mc_data out-of-bounds read warning

  [ Michael Chen ]
  * drm/amdkfd: Reconcile the definition and use of oem_id in struct kfd_topology_device

  [ Leesoo Ahn ]
  * apparmor: fix possible NULL pointer dereference

  [ Jeff Johnson ]
  * wifi: ath12k: initialize 'ret' in ath12k_qmi_load_file_target_mem()
  * wifi: ath11k: initialize 'ret' in ath11k_qmi_load_file_target_mem()

  [ Ma Jun ]
  * drm/amdgpu/pm: Check input value for CUSTOM profile mode setting on legacy SOCs

  [ Jesse Zhang ]
  * drm/amdgpu: Fix the warning division or modulo by zero
  * drm/amdgpu: fix dereference after null check
  * drm/amdgpu: fix the waring dereferencing hive
  * drm/amd/pm: check specific index for aldebaran
  * drm/amd/pm: check specific index for smu13
  * drm/amdgpu: the warning dereferencing obj for nbio_v7_4
  * drm/amd/pm: check negtive return for table entries

  [ Zong-Zhe Yang ]
  * wifi: rtw89: ser: avoid multiple deinit on same CAM

  [ Xiaogang Chen ]
  * drm/kfd: Correct pinned buffer handling at kfd restore and validate process

  [ Tao Zhou ]
  * drm/amdgpu: update type of buf size to u32 for eeprom functions

  [ Shahar S Matityahu ]
  * wifi: iwlwifi: remove fw_running op

  [ Jagadeesh Kona ]
  * cpufreq: scmi: Avoid overflow of target_freq in fast switch

  [ Aleksandr Mishin ]
  * PCI: al: Check IORESOURCE_BUS existence during probe

  [ Johannes Berg ]
  * wifi: mac80211: check ieee80211_bss_info_change_notify() against MLD

  [ Richard Maina ]
  * hwspinlock: Introduce hwspin_lock_bust()

  [ Chris Lew ]
  * soc: qcom: smem: Add qcom_smem_bust_hwspin_lock_by_host()

  [ Michael Margolin ]
  * RDMA/efa: Properly handle unexpected AQ completions

  [ Shannon Nelson ]
  * ionic: fix potential irq name truncation

  [ Ken Sloat ]
  * pwm: xilinx: Fix u32 overflow issue in 32-bit width PWM mode.

  [ Frederic Weisbecker ]
  * rcu/nocb: Remove buggy bypass lock contention mitigation

  [ Sakari Ailus ]
  * media: v4l2-cci: Always assign *val

  [ Simon Holesch ]
  * usbip: Don't submit special requests twice

  [ Abhishek Pandit-Subedi ]
  * usb: typec: ucsi: Fix null pointer dereference in trace

  [ Amir Goldstein ]
  * fsnotify: clear PARENT_WATCHED flags lazily

  [ Jason Xing ]
  * net: remove NULL-pointer net parameter in ip_metrics_convert

  [ Jesse Zhang ]
  * drm/amdgu: fix Unintentional integer overflow for mall size

  [ Andy Shevchenko ]
  * regmap: spi: Fix potential off-by-one when calculating reserved size

  [ Casey Schaufler ]
  * smack: tcp: ipv4, fix incorrect labeling

  [ Ben Walsh ]
  * platform/chrome: cros_ec_lpc: MEC access can use an AML mutex

  [ Dragos Tatulea ]
  * net/mlx5e: SHAMPO, Fix incorrect page release

  [ Haoran Liu ]
  * drm/meson: plane: Add error handling

  [ Maxime Méré ]
  * crypto: stm32/cryp - call finalize with bh disabled

  [ Andreas Gruenbacher ]
  * gfs2: Revert "Add quota_change type"

  [ Marek Vasut ]
  * drm/bridge: tc358767: Check if fully initialized before signalling HPD event via IRQ

  [ Olivier Dautricourt ]
  * dmaengine: altera-msgdma: use irq variant of spin_lock/unlock while invoking callbacks
  * dmaengine: altera-msgdma: properly free descriptor in msgdma_free_descriptor

  [ Johannes Berg ]
  * wifi: cfg80211: make hash table duplicates more survivable

  [ Chao Yu ]
  * f2fs: fix to do sanity check on blocks for inline_data inode

  [ Julien Stephan ]
  * driver: iio: add missing checks on iio_info's callback access

  [ Christoph Hellwig ]
  * block: remove the blk_flush_integrity call in blk_integrity_unregister

  [ Yunxiang Li ]
  * drm/amdgpu: add skip_hw_access checks for sriov
  * drm/amdgpu: add lock in amdgpu_gart_invalidate_tlb
  * drm/amdgpu: add lock in kfd_process_dequeue_from_device

  [ Nicholas Kazlauskas ]
  * drm/amd/display: Don't use fsleep for PSR exit waits on dmub replay

  [ winstang ]
  * drm/amd/display: added NULL check at start of dc_validate_stream

  [ Wayne Lin ]
  * drm/amd/display: Correct the defined value for AMDGPU_DMUB_NOTIFICATION_MAX

  [ Wenjing Liu ]
  * drm/amd/display: use preferred link settings for dp signal only

  [ Alex Hung ]
  * drm/amd/display: Check BIOS images before it is used
  * drm/amd/display: Skip wbscl_set_scaler_filter if filter is null

  [ Ricardo Ribalda ]
  * media: uvcvideo: Enforce alignment of frame and interval

  [ Breno Leitao ]
  * virtio_net: Fix napi_skb_cache_put warning

  [ Richard Fitzgerald ]
  * i2c: Use IS_REACHABLE() for substituting empty ACPI functions

  [ Greg Kroah-Hartman ]
  * Linux 6.6.50

  [ Matthieu Baerts (NGI0) ]
  * mptcp: avoid duplicated SUB_CLOSED events

  [ Yazen Ghannam ]
  * hwmon: (k10temp) Check return value of amd_smn_read()

  [ Matthieu Baerts (NGI0) ]
  * mptcp: pr_debug: add missing \n at the end

  [ Junxian Huang ]
  * RDMA/hns: Fix soft lockup under heavy CEQE load

  [ Milena Olech ]
  * ice: Fix improper extts handling

  [ Bob Zhou ]
  * drm/amdgpu: fix double free err_addr pointer warnings

  [ jianghaoran ]
  * KYLIN: unistd: add missing __NR_getrlimit system call number

  [ Hao Ge ]
  * codetag: debug: mark codetags for poisoned page as empty
  * mm/slub: add check for s->flags in the alloc_tagging_slab_free_hook

  [ Vincent Guittot ]
  * cpufreq/cppc: Move and rename cppc_cpufreq_{perf_to_khz|khz_to_perf}()

  [ Riwen Lu ]
  * cpufreq/cppc: Don't compare desired_perf in target()

  [ Samuel Thibault ]
  * fbcon: Increase maximum font width x height to 64 x 128

  [ Christoph Hellwig ]
  * nfs: pass explicit offset/count to trace events

  [ Srinivasan Shanmugam ]
  * drm/amd/display: Add null checks for 'stream' and 'plane' before dereferencing

  [ Li Ming ]
  * cxl/mem: Fix no cxl_nvd during pmem region auto-assembling

  [ Baokun Li ]
  * Revert "mm/filemap: avoid buffered read/write race to read inconsistent data"
  * asm-generic: remove extra type checking in acquire/release for non-SMP case

  [ Jackie Liu ]
  * KYLIN: KYLIN-MAINTAINERS: Mark Geliang Tang as Network Mantainer

  [ Zong-Zhe Yang ]
  * wifi: mac80211: fix NULL dereference at band check in starting tx ba session

  [ Barak Biber ]
  * iommu: Restore lost return in iommu_report_device_fault()

  [ Agustin Gutierrez ]
  * drm/amd/display: Fix DSC-re-computing
  * drm/amd/display: MST DSC check for older devices

  [ Wayne Lin ]
  * drm/amd/display: Don't refer to dc_sink in is_dsc_need_re_compute

  [ Rik van Riel ]
  * mm, slub: do not call do_slab_free for kfence object

  [ Chen Ridong ]
  * cgroup/cpuset: fix panic caused by partcmd_update

  [ Shakeel Butt ]
  * mm: writeback: ratelimit stat flush from mem_cgroup_wb_stats

  [ Yosry Ahmed ]
  * mm: do not update memcg stats for NR_{FILE/SHMEM}_PMDMAPPED
  * mm: rmap: abstract updating per-node and per-memcg stats

  [ Jackie Liu ]
  * KYLIN: config/arm64: enabled CONFIG_NAMESPACES

  [ Manivannan Sadhasivam ]
  * PCI: endpoint: pci-epf-test: Make use of cached 'epc_features' in pci_epf_test_core_init()

  [ Stephen Hemminger ]
  * sch/netem: fix use after free in netem_dequeue

  [ Jens Emil Schulz Østergaard ]
  * net: microchip: vcap: Fix use-after-free error in kunit test

  [ robelin ]
  * ASoC: dapm: Fix UAF for snd_soc_pcm_runtime object

  [ Sean Christopherson ]
  * KVM: x86: Acquire kvm->srcu when handling KVM_SET_VCPU_EVENTS

  [ Maxim Levitsky ]
  * KVM: SVM: fix emulation of msr reads/writes of MSR_FS_BASE and MSR_GS_BASE

  [ Ravi Bangoria ]
  * KVM: SVM: Don't advertise Bus Lock Detect to guest if SVM support is missing

  [ Christoffer Sandberg ]
  * ALSA: hda/conexant: Add pincfg quirk to enable top speakers on Sirius devices

  [ Terry Cheong ]
  * ALSA: hda/realtek: add patch for internal mic in Lenovo V145

  [ Maximilien Perreault ]
  * ALSA: hda/realtek: Support mute LED on HP Laptop 14-dq2xxx

  [ Nysal Jan K.A ]
  * powerpc/qspinlock: Fix deadlock in MCS queue

  [ Paulo Alcantara ]
  * smb: client: fix double put of @cfile in smb2_set_path_size()

  [ Namjae Jeon ]
  * ksmbd: unset the binding mark of a reused connection

  [ Dan Carpenter ]
  * ksmbd: Unlock on in ksmbd_tcp_set_interfaces()

  [ Zheng Qixing ]
  * ata: libata: Fix memory leak for error path in ata_host_alloc()

  [ Kirill A. Shutemov ]
  * x86/tdx: Fix data leak in mmio_read()

  [ Kan Liang ]
  * perf/x86/intel: Limit the period on Haswell

  [ Ma Ke ]
  * irqchip/gic-v2m: Fix refcount leak in gicv2m_of_init()

  [ Thomas Gleixner ]
  * x86/kaslr: Expose and use the end of the physical memory address space

  [ Roland Xu ]
  * rtmutex: Drop rt_mutex::wait_lock before scheduling

  [ Georg Gottleuber ]
  * nvme-pci: Add sleep quirk for Samsung 990 Evo

  [ Boqun Feng ]
  * rust: types: Make Opaque::get const
  * rust: macros: provide correct provenance when constructing THIS_MODULE

  [ Luiz Augusto von Dentz ]
  * Revert "Bluetooth: MGMT/SMP: Fix address type when using SMP over BREDR/LE"
  * Bluetooth: MGMT: Ignore keys being loaded with invalid type

  [ Jonathan Bell ]
  * mmc: core: apply SD quirks earlier during probe

  [ Sam Protsenko ]
  * mmc: dw_mmc: Fix IDMAC operation with pages bigger than 4K

  [ Liao Chen ]
  * mmc: sdhci-of-aspeed: fix module autoloading

  [ Seunghwan Baek ]
  * mmc: cqhci: Fix checking of CQHCI_HALT state

  [ Joanne Koong ]
  * fuse: update stats for pages in dropped aux writeback list

  [ Jann Horn ]
  * fuse: use unsigned type for getxattr/listxattr size truncation

  [ yangyun ]
  * fuse: fix memory leak in fuse_create_open

  [ Xingyu Wu ]
  * clk: starfive: jh7110-sys: Add notifier for PLL0 clock

  [ Satya Priya Kakitapalli ]
  * clk: qcom: clk-alpha-pll: Fix the pll post div mask
  * clk: qcom: clk-alpha-pll: Fix the trion pll postdiv set rate API

  [ Simon Arlott ]
  * can: mcp251x: fix deadlock if an interrupt occurs during mcp251x_open

  [ Petr Tesarik ]
  * kexec_file: fix elfcorehdr digest exclusion when CONFIG_CRASH_HOTPLUG=y

  [ Will Deacon ]
  * mm: vmalloc: ensure vmap_block is initialised before adding to queue

  [ Brian Norris ]
  * spi: rockchip: Resolve unbalanced runtime PM / system PM handling

  [ Steven Rostedt ]
  * tracing/osnoise: Use a cpumask to know what threads are kthreads
  * tracing/timerlat: Only clear timer if a kthread exists

  [ Zheng Yejian ]
  * tracing: Avoid possible softlockup in tracing_iter_reset()

  [ Steven Rostedt ]
  * tracing/timerlat: Add interface_lock around clearing of kthread in stop_kthread()

  [ Jann Horn ]
  * userfaultfd: don't BUG_ON() if khugepaged yanks our page table
  * userfaultfd: fix checks for huge PMDs

  [ Baokun Li ]
  * fscache: delete fscache_cookie_lru_timer when fscache exits to avoid UAF

  [ Souradeep Chakrabarti ]
  * net: mana: Fix error handling in mana_create_txq/rxq's NAPI cleanup

  [ Matt Johnston ]
  * net: mctp-serial: Fix missing escapes on transmit

  [ Mitchell Levy ]
  * x86/fpu: Avoid writing LBR bit to IA32_XSS unless supported

  [ Yuntao Wang ]
  * x86/apic: Make x2apic_disable() work correctly

  [ Alex Deucher ]
  * Revert "drm/amdgpu: align pp_power_profile_mode with kernel docs"

  [ Cong Wang ]
  * tcp_bpf: fix return value of tcp_bpf_sendmsg()

  [ Eric Dumazet ]
  * ila: call nf_unregister_net_hooks() sooner

  [ Toke Høiland-Jørgensen ]
  * sched: sch_cake: fix bulk flow accounting logic for host fairness

  [ Ryusuke Konishi ]
  * nilfs2: fix missing cleanup on rollforward recovery error
  * nilfs2: protect references to superblock parameters exposed in sysfs
  * nilfs2: fix state management in error path of log writing function

  [ Daniele Ceraolo Spurio ]
  * drm/i915: Do not attempt to load the GSC multiple times

  [ Takashi Iwai ]
  * ALSA: control: Apply sanity check of input values for user elements
  * ALSA: hda: Add input value sanity checks to HDMI channel map controls

  [ Aaradhana Sahu ]
  * wifi: ath12k: fix uninitialize symbol error on ath12k_peer_assoc_h_he()

  [ Ajith C ]
  * wifi: ath12k: fix firmware crash due to invalid peer nss

  [ Konstantin Andreev ]
  * smack: unix sockets: fix accept()ed socket label

  [ Leon Hwang ]
  * bpf, verifier: Correct tail_call_reachable for bpf prog

  [ Alexey Dobriyan ]
  * ELF: fix kernel.randomize_va_space double read

  [ Rakesh Ughreja ]
  * accel/habanalabs/gaudi2: unsecure edma max outstanding register

  [ Pali Rohár ]
  * irqchip/armada-370-xp: Do not allow mapping IRQ 0 and 1

  [ Kuniyuki Iwashima ]
  * af_unix: Remove put_pid()/put_cred() in copy_peercred().

  [ Brian Johannesmeyer ]
  * x86/kmsan: Fix hook for unaligned accesses

  [ Jernej Skrabec ]
  * iommu: sun50i: clear bypass register

  [ Yunjian Wang ]
  * netfilter: nf_conncount: fix wrong variable type

  [ Johannes Berg ]
  * wifi: iwlwifi: mvm: use IWL_FW_CHECK for link ID check

  [ Jan Kara ]
  * udf: Avoid excessive partition lengths

  [ Konstantin Komarov ]
  * fs/ntfs3: One more reason to mark inode bad

  [ Samuel Holland ]
  * riscv: kprobes: Use patch_text_nosync() for insn slots

  [ Hans Verkuil ]
  * media: vivid: fix wrong sizeimage value for mplane

  [ Andy Shevchenko ]
  * leds: spi-byte: Call of_node_put() on error path

  [ Arend van Spriel ]
  * wifi: brcmsmac: advertise MFP_CAPABLE to enable WPA3

  [ Shantanu Goel ]
  * usb: uas: set host status byte on data completion error

  [ Ma Ke ]
  * usb: gadget: aspeed_udc: validate endpoint index for ast udc

  [ Alex Hung ]
  * drm/amd/display: Run DC_LOG_DC after checking link->link_enc
  * drm/amd/display: Check HDCP returned status

  [ Hawking Zhang ]
  * drm/amdgpu: Fix smatch static checker warning

  [ Danijel Slivka ]
  * drm/amdgpu: clear RB_OVERFLOW bit when enabling interrupts

  [ Hans Verkuil ]
  * media: vivid: don't set HDMI TX controls if there are no HDMI outputs

  [ Shivaprasad G Bhat ]
  * vfio/spapr: Always clear TCEs before unsetting the window

  [ Eric Joyner ]
  * ice: Check all ice_vsi_rebuild() errors in function

  [ Kishon Vijay Abraham I ]
  * PCI: keystone: Add workaround for Errata #i2037 (AM65x SR 1.0)

  [ Dmitry Torokhov ]
  * Input: ili210x - use kvmalloc() to allocate buffer for firmware update

  [ Chen Ni ]
  * media: qcom: camss: Add check for v4l2_fwnode_endpoint_parse

  [ Jules Irenge ]
  * pcmcia: Use resource_size function on resource object

  [ Alex Hung ]
  * drm/amd/display: Check denominator pbn_div before used

  [ Marek Olšák ]
  * drm/amdgpu: check for LINEAR_ALIGNED correctly in check_tiling_flags_gfx6

  [ Kuniyuki Iwashima ]
  * can: bcm: Remove proc entry when dev is unregistered.

  [ Simon Horman ]
  * can: m_can: Release irq on error in m_can_open

  [ Marc Kleine-Budde ]
  * can: mcp251xfd: fix ring configuration when switching from CAN-CC to CAN-FD mode

  [ Matthew Maurer ]
  * rust: Use awk instead of recent xargs

  [ Andreas Hindborg ]
  * rust: kbuild: fix export of bss symbols

  [ David Howells ]
  * cifs: Fix FALLOC_FL_ZERO_RANGE to preflush buffered part of target region

  [ Daiwei Li ]
  * igb: Fix not clearing TimeSync interrupts for 82580

  [ Dawid Osuchowski ]
  * ice: Add netif_device_attach/detach into PF reset flow

  [ Aleksandr Mishin ]
  * platform/x86: dell-smbios: Fix error path in dell_smbios_init()

  [ Douglas Anderson ]
  * regulator: core: Stub devm_regulator_bulk_get_const() if !CONFIG_REGULATOR

  [ Martin Jocic ]
  * can: kvaser_pciefd: Skip redundant NULL pointer check in ISR
  * can: kvaser_pciefd: Remove unnecessary comment
  * can: kvaser_pciefd: Rename board_irq to pci_irq
  * can: kvaser_pciefd: Move reset of DMA RX buffers to the end of the ISR
  * can: kvaser_pciefd: Use a single write when releasing RX buffers

  [ Douglas Anderson ]
  * Bluetooth: qca: If memdump doesn't work, re-enable IBS

  [ Jonas Dreßler ]
  * Bluetooth: hci_event: Use HCI error defines instead of magic values
  * Bluetooth: hci_conn: Only do ACL connections sequentially
  * Bluetooth: Remove pending ACL connection attempts

  [ Luiz Augusto von Dentz ]
  * Bluetooth: hci_conn: Fix UAF Write in __hci_acl_create_connection_sync
  * Bluetooth: hci_sync: Add helper functions to manipulate cmd_sync queue
  * Bluetooth: hci_sync: Attempt to dequeue connection attempt
  * Bluetooth: hci_sync: Introduce hci_cmd_sync_run/hci_cmd_sync_run_once
  * Bluetooth: MGMT: Fix not generating command complete for MGMT_OP_DISCONNECT

  [ Dan Carpenter ]
  * igc: Unlock on error in igc_io_resume()

  [ Armin Wolf ]
  * hwmon: (hp-wmi-sensors) Check if WMI event data exists

  [ Jinjie Ruan ]
  * net: phy: Fix missing of_node_put() for leds

  [ Larysa Zaremba ]
  * ice: protect XDP configuration with a mutex
  * ice: do not bring the VSI up, if it was down before the XDP setup

  [ Oliver Neukum ]
  * usbnet: modern method to get random MAC

  [ Breno Leitao ]
  * bpf: Add sockptr support for getsockopt
  * bpf: Add sockptr support for setsockopt
  * net/socket: Break down __sys_setsockopt
  * net/socket: Break down __sys_getsockopt

  [ Tze-nan Wu ]
  * bpf, net: Fix a potential race in do_sock_getsockopt()

  [ Guillaume Nault ]
  * bareudp: Fix device stats updates.

  [ Kuniyuki Iwashima ]
  * fou: Fix null-ptr-deref in GRO.

  [ Hayes Wang ]
  * r8152: fix the firmware doesn't work

  [ Jonas Gorski ]
  * net: bridge: br_fdb_external_learn_add(): always set EXT_LEARN

  [ Pawel Dembicki ]
  * net: dsa: vsc73xx: fix possible subblocks range of CAPT block

  [ Jamie Bainbridge ]
  * selftests: net: enable bind tests

  [ Viresh Kumar ]
  * xen: privcmd: Fix possible access to a freed kirqfd instance

  [ Richard Fitzgerald ]
  * firmware: cs_dsp: Don't allow writes to read-only controls

  [ Sean Anderson ]
  * phy: zynqmp: Take the phy mutex in xlate

  [ Amadeusz Sławiński ]
  * ASoC: topology: Properly initialize soc_enum values

  [ Benjamin Marzinski ]
  * dm init: Handle minors larger than 255

  [ Jacob Pan ]
  * iommu/vt-d: Handle volatile descriptor status read

  [ Waiman Long ]
  * cgroup: Protect css->cgroup write under css_set_lock

  [ Johannes Berg ]
  * um: line: always fill *error_out in setup_one_line()

  [ Zijun Hu ]
  * devres: Initialize an uninitialized struct member

  [ Krishna Kumar ]
  * pci/hotplug/pnv_php: Fix hotplug driver crash on Powernv

  [ Xuan Zhuo ]
  * virtio_ring: fix KMSAN error for premapped mode

  [ Marcin Ślusarz ]
  * wifi: rtw88: usb: schedule rx work after everything is set up

  [ Kyoungrul Kim ]
  * scsi: ufs: core: Remove SCSI host only if added

  [ Igor Pylypiv ]
  * scsi: pm80xx: Set phy->enable_completion only when we wait for it

  [ Hareshx Sankar Raj ]
  * crypto: qat - fix unintentional re-enabling of error interrupts

  [ Guenter Roeck ]
  * hwmon: (adc128d818) Fix underflows seen when writing limit attributes
  * hwmon: (lm95234) Fix underflows seen when writing limit attributes
  * hwmon: (nct6775-core) Fix underflows seen when writing limit attributes
  * hwmon: (w83627ehf) Fix underflows seen when writing limit attributes

  [ Shenghao Ding ]
  * ASoc: TAS2781: replace beXX_to_cpup with get_unaligned_beXX for potentially broken alignment

  [ Andreas Ziegler ]
  * libbpf: Add NULL checks to bpf_object__{prev_map,next_map}

  [ Yifan Zha ]
  * drm/amdgpu: Set no_hw_access when VF request full GPU fails

  [ Luis Henriques (SUSE) ]
  * ext4: fix possible tid_t sequence overflows

  [ Ye Bin ]
  * jbd2: avoid mount failed when commit block is partial submitted

  [ Yicong Yang ]
  * dma-mapping: benchmark: Don't starve others when doing the test

  [ Sascha Hauer ]
  * wifi: mwifiex: Do not return unused priv in mwifiex_get_priv_by_id()

  [ Christian König ]
  * drm/amdgpu: reject gang submit on reserved VMIDs

  [ Konstantin Komarov ]
  * fs/ntfs3: Check more cases when directory is corrupted

  [ Josef Bacik ]
  * btrfs: replace BUG_ON with ASSERT in walk_down_proc()
  * btrfs: clean up our handling of refs == 0 in snapshot delete

  [ Filipe Manana ]
  * btrfs: replace BUG_ON() with error handling at update_ref_for_cow()

  [ Alison Schofield ]
  * cxl/region: Verify target positions using the ordered target list

  [ yang.zhang ]
  * riscv: set trap vector earlier

  [ Dan Williams ]
  * PCI: Add missing bridge lock to pci_bus_lock()

  [ Kuniyuki Iwashima ]
  * tcp: Don't drop SYN+ACK for simultaneous connect().

  [ Neeraj Sanjay Kale ]
  * Bluetooth: btnxpuart: Fix Null pointer dereference in btnxpuart_flush()

  [ Vladimir Oltean ]
  * net: dpaa: avoid on-stack arrays of NR_CPUS elements

  [ Arnd Bergmann ]
  * regmap: maple: work around gcc-14.1 false-positive warning

  [ Frank Li ]
  * i3c: master: svc: resend target address when get NACK

  [ Jarkko Nikula ]
  * i3c: mipi-i3c-hci: Error out instead on BUG_ON() in IBI DMA setup

  [ Devyn Liu ]
  * spi: hisi-kunpeng: Add verification for the max_frequency provided by the firmware

  [ David Sterba ]
  * btrfs: initialize location to fix -Wmaybe-uninitialized in btrfs_lookup_dentry()

  [ Heiko Carstens ]
  * s390/vmlinux.lds.S: Move ro_after_init section behind rodata section

  [ Camila Alvarez ]
  * HID: cougar: fix slab-out-of-bounds Read in cougar_report_fixup

  [ Olivier Sobrie ]
  * HID: amd_sfh: free driver_data after destroying hid device

  [ Dmitry Torokhov ]
  * Input: uinput - reject requests with unreasonable number of slots

  [ Oliver Neukum ]
  * usbnet: ipheth: race between ipheth_close and error handling

  [ Phillip Lougher ]
  * Squashfs: sanity check symbolic link size

  [ Stefan Wiehler ]
  * of/irq: Prevent device address out-of-bounds read in interrupt map walk

  [ Kent Overstreet ]
  * lib/generic-radix-tree.c: Fix rare race in __genradix_ptr_alloc()

  [ Jiaxun Yang ]
  * MIPS: cevt-r4k: Don't call get_c0_compare_int if timer irq is installed

  [ Carlos Song ]
  * spi: spi-fsl-lpspi: limit PRESCALE bit in TCR register

  [ Michael Ellerman ]
  * ata: pata_macio: Use WARN instead of BUG

  [ ChenXiaoSong ]
  * smb/server: fix potential null-ptr-deref of lease_ctx_info in smb2_open()

  [ Trond Myklebust ]
  * NFSv4: Add missing rescheduling points in nfs_client_return_marked_delegations

  [ Alexandre Ghiti ]
  * riscv: Use WRITE_ONCE() when setting page table entries
  * mm: Introduce pudp/p4dp/pgdp_get() functions
  * riscv: mm: Only compile pgtable.c if MMU
  * riscv: Use accessors to page table entries instead of direct dereference

  [ Meng Li ]
  * cpufreq: amd-pstate: Enable amd-pstate preferred core support

  [ Perry Yuan ]
  * cpufreq: amd-pstate: fix the highest frequency issue which limits performance

  [ Matthieu Baerts (NGI0) ]
  * tcp: process the 3rd ACK with sk_socket for TFO/MPTCP

  [ Aleksandr Mishin ]
  * staging: iio: frequency: ad9834: Validate frequency parameter value

  [ David Lechner ]
  * iio: buffer-dmaengine: fix releasing dma channel on error

  [ Matteo Martelli ]
  * iio: fix scale application in iio_convert_raw_to_processed_unlocked

  [ Dumitru Ceclan ]
  * iio: adc: ad7124: fix config comparison

  [ Guillaume Stols ]
  * iio: adc: ad7606: remove frstdata check for serial mode

  [ Dumitru Ceclan ]
  * iio: adc: ad7124: fix chip ID mismatch

  [ Faisal Hassan ]
  * usb: dwc3: core: update LC timer as per USB Spec V3.2

  [ Pawel Laszczak ]
  * usb: cdns2: Fix controller reset issue

  [ Prashanth K ]
  * usb: dwc3: Avoid waking up gadget during startxfer

  [ Sukrut Bellary ]
  * misc: fastrpc: Fix double free of 'buf' in error path

  [ Carlos Llamas ]
  * binder: fix UAF caused by offsets overwrite

  [ Geert Uytterhoeven ]
  * nvmem: Fix return type of devm_nvmem_device_get() in kerneldoc

  [ Saurabh Sengar ]
  * uio_hv_generic: Fix kernel NULL pointer dereference in hv_uio_rescind

  [ Naman Jain ]
  * Drivers: hv: vmbus: Fix rescind handling in uio_hv_generic

  [ David Fernandez Gonzalez ]
  * VMCI: Fix use-after-free when removing resource in vmci_resource_remove()

  [ Jacky Bai ]
  * clocksource/drivers/imx-tpm: Fix return -ETIME when delta exceeds INT_MAX
  * clocksource/drivers/imx-tpm: Fix next event not taking effect sometime

  [ Daniel Lezcano ]
  * clocksource/drivers/timer-of: Remove percpu irq related code

  [ Sven Schnelle ]
  * uprobes: Use kzalloc to allocate xol area

  [ Peter Zijlstra ]
  * perf/aux: Fix AUX buffer serialization

  [ Vern Hao ]
  * mm/vmscan: use folio_migratetype() instead of get_pageblock_migratetype()

  [ Usama Arif ]
  * Revert "mm: skip CMA pages when they are not available"

  [ Nicholas Piggin ]
  * workqueue: wq_watchdog_touch is always called with valid CPU
  * workqueue: Improve scalability of workqueue watchdog touch

  [ Marc Kleine-Budde ]
  * can: mcp251xfd: mcp251xfd_handle_rxif_ring_uinc(): factor out in separate function
  * can: mcp251xfd: rx: prepare to workaround broken RX FIFO head index erratum
  * can: mcp251xfd: clarify the meaning of timestamp
  * can: mcp251xfd: rx: add workaround for erratum DS80000789E 6 of mcp2518fd

  [ Aurabindo Pillai ]
  * drm/amd: Add gfx12 swizzle mode defs

  [ Marek Olšák ]
  * drm/amdgpu: handle gfx12 in amdgpu_display_verify_sizes

  [ Igor Pylypiv ]
  * ata: libata-scsi: Remove redundant sense_buffer memsets
  * ata: libata-scsi: Check ATA_QCFLAG_RTF_FILLED before using result_tf

  [ Jia Jie Ho ]
  * crypto: starfive - Align rsa input data to 32-bit
  * crypto: starfive - Fix nent assignment in rsa dec

  [ devi priya ]
  * clk: qcom: ipq9574: Update the alpha PLL type for GPLLs

  [ Michael Ellerman ]
  * powerpc/64e: remove unused IBM HTW code
  * powerpc/64e: split out nohash Book3E 64-bit code

  [ Christophe Leroy ]
  * powerpc/64e: Define mmu_pte_psize static
  * powerpc/vdso: Don't discard rela sections

  [ Mohan Kumar ]
  * ASoC: tegra: Fix CBB error during probe()

  [ Maurizio Lombardi ]
  * nvmet-tcp: fix kernel crash if commands allocation fails

  [ Keith Busch ]
  * nvme-pci: allocate tagset on reset if necessary

  [ Chen-Yu Tsai ]
  * ASoc: SOF: topology: Clear SOF link platform name upon unload

  [ Matteo Martelli ]
  * ASoC: sunxi: sun4i-i2s: fix LRCLK polarity in i2s mode

  [ Stephen Boyd ]
  * clk: qcom: gcc-sm8550: Don't use parking clk_ops for QUPs
  * clk: qcom: gcc-sm8550: Don't park the USB RCG at registration time

  [ Andy Shevchenko ]
  * drm/i915/fence: Mark debug_fence_init_onstack() with __maybe_unused
  * drm/i915/fence: Mark debug_fence_free() with __maybe_unused

  [ Krzysztof Kozlowski ]
  * gpio: rockchip: fix OF node leak in probe()

  [ Liao Chen ]
  * gpio: modepin: Enable module autoloading

  [ Paulo Alcantara ]
  * smb: client: fix double put of @cfile in smb2_rename_path()

  [ Anton Blanchard ]
  * riscv: Fix toolchain vector detection

  [ Alexandre Ghiti ]
  * riscv: Do not restrict memory size because of linear mapping on nommu

  [ Li Nan ]
  * ublk_drv: fix NULL pointer dereference in ublk_ctrl_start_recovery()

  [ Andrea Parri ]
  * membarrier: riscv: Add full memory barrier in switch_mm()

  [ Filipe Manana ]
  * btrfs: fix race between direct IO write and fsync when using same fd

  [ Stefan Wahren ]
  * spi: spi-fsl-lpspi: Fix off-by-one in prescale max

  [ Luiz Augusto von Dentz ]
  * Bluetooth: hci_sync: Fix UAF in hci_acl_create_conn_sync
  * Bluetooth: hci_sync: Fix UAF on create_le_conn_complete
  * Bluetooth: hci_sync: Fix UAF on hci_abort_conn_sync

  [ Greg Kroah-Hartman ]
  * Linux 6.6.51

  [ Matthieu Baerts (NGI0) ]
  * doc: mptcp: add missing 'available_schedulers' entry
  * doc: mptcp: alphabetical order
  * doc: new 'mptcp' page in 'networking'
  * selftests: mptcp: lib: support flaky subtests
  * selftests: mptcp: join: mark 'fastclose' tests as flaky

  [ Meng Li ]
  * ACPI: CPPC: Add helper to get the highest performance value

  [ Thomas Gleixner ]
  * x86/mm: Fix PTI for i386 some more

  [ Kuniyuki Iwashima ]
  * can: bcm: Clear bo->bcm_proc_read after remove_proc_entry().

  [ Mark Rutland ]
  * arm64: stacktrace: factor out kernel unwind state

  [ Steven Rostedt (Google) ]
  * tracing/ring-buffer: Fix wait_on_pipe() race

  [ Steven Rostedt (VMware) ]
  * function_graph: Convert ret_stack to a series of longs
  * fgraph: Use BUILD_BUG_ON() to make sure we have structures divisible by long
  * function_graph: Add an array structure that will allow multiple callbacks
  * function_graph: Allow multiple users to attach to function graph

  [ Masami Hiramatsu (Google) ]
  * function_graph: Handle tail calls for stack unwinding

  [ Steven Rostedt (VMware) ]
  * function_graph: Remove logic around ftrace_graph_entry and return
  * ftrace/function_graph: Pass fgraph_ops to function graph callbacks
  * ftrace: Allow function_graph tracer to be enabled in instances
  * ftrace: Allow ftrace startup flags to exist without dynamic ftrace

  [ Steven Rostedt (Google) ]
  * ftrace: Add subops logic to allow one ops to manage many
  * ftrace: Allow subops filtering to be modified

  [ Steven Rostedt (VMware) ]
  * function_graph: Have the instances use their own ftrace_ops for filtering

  [ Steven Rostedt (Google) ]
  * function_graph: Add pid tracing back to function graph tracer

  [ Masami Hiramatsu (Google) ]
  * function_graph: Use a simple LRU for fgraph_array index number

  [ Steven Rostedt (VMware) ]
  * function_graph: Add "task variables" per task for fgraph_ops
  * function_graph: Move set_graph_function tests to shadow stack global var
  * function_graph: Move graph depth stored data to shadow stack global var
  * function_graph: Move graph notrace bit to shadow stack global var
  * function_graph: Implement fgraph_reserve_data() and fgraph_retrieve_data()
  * function_graph: Add selftest for passing local variables

  [ Masami Hiramatsu (Google) ]
  * ftrace: Add multiple fgraph storage selftest

  [ Xianglai Li ]
  * LoongArch: Save and restore CSR.CNTC for hibernation

  [ Song Gao ]
  * LoongArch: fix migrate issue

  [ Xianglai Li ]
  * LoongArch: sync kvm head file from upstream

  [ Michael S. Tsirkin ]
  * virtio: break and reset virtio devices on device_shutdown()
  * virtgpu: don't reset on shutdown

  [ Xianglai Li ]
  * drm/virtio: implement virtio_gpu_shutdown

  [ Tianrui Zhao ]
  * LoongArch: drm/amdgpu: Fix pcie order dislocation

  [ lvjianmin ]
  * LoongArch: drm/radeon: repeat the same EOP packet for EOP workaround on CIK
  * LoongArch: drm/amdgpu: make duplicated EOP packet for GFX7/8 have real content

  [ Tianrui Zhao ]
  * LoongArch: drm/amdgpu: make duplicated EOP packet for GFX6 have real content

  [ Juxin Gao ]
  * LoongArch: drm/amdgpu: Fix RX550 pcie order dislocation.
  * LoongArch: CONFIG_NR_CPUS expanded to 2048.

  [ Ming Wang ]
  * LoongArch: mm/hugetlb: Return NULL from huge_pte_offset() for none PMD

  [ wanghongliang ]
  * LoongArch: support CONFIG_SCHED_MC

  [ Juxin Gao ]
  * LoongArch: Add pwm driver support.
  * LoongArch: nvme: Add udelay to avoid data error caused by dma sequence

  [ zhangtianyang ]
  * LoongArch: megaraid: Add udelay to avoid data error caused by dma sequence

  [ chen zhang ]
  * KYLIN: x86/config: close CONFIG_PSI_DEFAULT_DISABLED

  [ wanghongliang ]
  * LoongArch: 2K3000 GMAC support.

  [ brightyi ]
  * drm/arise:upgrade glenfly arise1 series GPU DRM kernel driver to V46

 -- XieWei <xiewei@kylinos.cn>  Thu, 12 Jun 2025 10:45:57 +0800

linux (6.6.0-15.0ok12) nile; urgency=medium

  [ Yongzhen Zhang ]
  * Revert "update fs/erofs/super.c."

 -- XieWei <xiewei@kylinos.cn>  Fri, 17 Jan 2025 14:59:51 +0800

linux (6.6.0-15.0ok11) nile; urgency=medium

  [ wangdicheng ]
  * ALSA: hda: Resolving the issue of the ALC662 sound card failing to load.

  [ Xianglai Li ]
  * LoongArch: fix compile error when enable CONFIG_PARAVIRT
  * LoongArch: KVM: enable ptw for kvm

  [ Kanglong Wang ]
  * LoongArch: Fix the problem that the touchpad couldn't work

  [ Jiajia Liu ]
  * Fix build error for IEE_SELINUX_P

 -- XieWei <xiewei@kylinos.cn>  Thu, 16 Jan 2025 17:54:55 +0800

linux (6.6.0-15.0ok10) nile; urgency=medium

  * rebase linux-6.6-next, build ok10

 -- XieWei <xiewei@kylinos.cn>  Thu, 16 Jan 2025 10:30:06 +0800

linux (6.6.0-15.0ok9) nile; urgency=medium

  [ user ]
  * loongson drm driver will not be used on 7A2000

  [ Riwen Lu ]
  * KYLIN: gicv3/its: reinit lpis when resume for D2000

 -- XieWei <xiewei@kylinos.cn>  Wed, 13 Nov 2024 16:06:15 +0800

linux (6.6.0-15.0ok8) nile; urgency=medium

  [ yicong ]
  * KYLIN: arm64/config: Add phytium d2000 mac driver config

  [ zhangtianxiong ]
  * update arch/x86/configs/openkylin_generic_defconfig.
  * Revert "update arch/x86/configs/openkylin_generic_defconfig."
  * KYLIN: x86/config: set CONFIG_NAMESPACES=y

 -- Xie Wei <xiewei@kylinos.cn>  Thu, 07 Nov 2024 17:43:59 +0800

linux (6.6.0-15.0ok7) nile; urgency=medium

  [ zhangtianxiong ]
  * KYLIN: arm/config: add hda/usb audio support

  [ yicong ]
  * KYLIN: arm64/config: Add phytmac driver config

  [ tianyaxiong ]
  * KYLIN: LPC: add ACPI support for the phytium LPC
  * KYLIN: EC/i8042: add support i8042 kbd/aux on phytium platform
  * KYLIN: arm64/config: Add MOUSE_PS2_ELANTECH support

  [ Longlong Xia ]
  * KYLIN: arm64/config: set CONFIG_NAMESPACES=y

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 30 Oct 2024 11:53:53 +0800

linux (6.6.0-15.0ok6) nile; urgency=medium

  [ liyuting ]
  * dt-bindings: ipmi: Add bindings for Phytium BT

  [ lishuo ]
  * DRM: Add Phytium Display Engine support.

  [ yuanxia ]
  * dt-bindings: phytnet_led: Add bindings for Phytium MAC led
  * phytnetled: phytium: Add link/act led driver for 10G mac

  [ Longlong Xia ]
  * tty: n_gsm: Fix use-after-free in gsm_cleanup_mux

  [ zhangtianxiong ]
  * KYLIN: loongarch/config: set CONFIG_OVERLAY_FS=m

 -- Xie Wei <xiewei@kylinos.cn>  Mon, 21 Oct 2024 13:38:15 +0800

linux (6.6.0-15.0ok5) nile; urgency=medium

  * update debian.master/changelog

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 16 Oct 2024 10:17:01 +0800

linux (6.6.0-15.0ok4) nile; urgency=medium

  [ zhangtianxiong ]
  * KYLIN: deb-build: Added dependency packages needed for the loong64、arm64 and amd64

 -- XIEWEI-PC <xiewei@kylinos.cn>  Tue, 15 Oct 2024 22:35:56 +0800

linux (6.6.0-15.0ok3) nile; urgency=medium

  [ Yongzhen Zhang ]
  * KYLIN: deb-build: Added dependency packages needed for the loong64

  [ Andrii Nakryiko ]
  * libbpf: move BTF loading step after relocation step

  [ zhangtianxiong ]
  * KYLIN: deb-build: Change dependency packages of dwarves and pahole

 -- Xie Wei <xiewei@kylinos.cn>  Tue, 15 Oct 2024 17:43:47 +0800

linux (6.6.0-15.0ok2) nile; urgency=medium

  [ chen zhang ]
  * KYLIN: Revert "libbpf: move BTF loading step after relocation step"

  [ Yongzhen Zhang ]
  * KYLIN: deb-build: support compile debian package for loongarch

 -- Xie Wei <xiewei@kylinos.cn>  Mon, 14 Oct 2024 14:47:22 +0800

linux (6.6.0-15.0ok1) nile; urgency=medium

  * build 6.6.0-15.0ok1
  * add arm64 and loong64

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 11 Oct 2024 11:01:04 +0800

linux (6.6.0-1.0ok10) nile; urgency=medium

  [ Zack Rusin ]
  * drm: Disable the cursor plane on atomic contexts with virtualized drivers
  * drm/atomic: Add support for mouse hotspots
  * drm/vmwgfx: Use the hotspot properties from cursor planes
  * drm/qxl: Use the hotspot properties from cursor planes
  * drm/vboxvideo: Use the hotspot properties from cursor planes
  * drm/virtio: Use the hotspot properties from cursor planes
  * drm: Remove legacy cursor hotspot code
  * drm: Introduce DRM_CLIENT_CAP_CURSOR_PLANE_HOTSPOT

  [ Michael Banack ]
  * drm: Introduce documentation for hotspot properties

  [ Javier Martinez Canillas ]
  * drm: Allow drivers to indicate the damage helpers to ignore damage clips
  * drm/virtio: Disable damage clipping if FB changed since last page-flip
  * drm/vmwgfx: Disable damage clipping if FB changed since last page-flip
  * drm/plane: Extend damage tracking kernel-doc

  [ Ai Chao ]
  * KYLIN: config: Add CONFIG_PINCTRL
  * KYLIN: HID: core: Fix parsing error for Thinkbook16 G6+ IMH

  [ Gustavo Sousa ]
  * drm/i915/cx0: Add intel_cx0_get_owned_lane_mask()
  * drm/i915: Simplify intel_cx0_program_phy_lane() with loop
  * drm/i915/cx0: Program vswing only for owned lanes

  [ Ankit Nautiyal ]
  * drm/i915/dp_mst: Use output_format to get the final link bpp

  [ Jani Nikula ]
  * drm/i915/regs: split out intel_color_regs.h
  * drm/i915/color: move CHV CGM pipe mode read to intel_color
  * drm/i915: move HSW+ gamma mode read to intel_color
  * drm/i915: move ILK+ CSC mode read to intel_color
  * drm/i915/color: move SKL+ gamma and CSC enable read to intel_color
  * drm/i915/color: move pre-SKL gamma and CSC enable read to intel_color

  [ Suraj Kandpal ]
  * drm/i915/hdcp: Use intel_connector argument in intel_hdcp_shim

  [ Jani Nikula ]
  * drm/i915: add minimal i915_gem_object_frontbuffer.h
  * drm/cec: add drm_dp_cec_attach() as the non-edid version of set edid
  * drm/edid: add drm_edid_is_digital()
  * drm/edid: parse source physical address
  * drm/i915/display: use drm_edid_is_digital()

  [ Suraj Kandpal ]
  * drm/i915/hdcp: Use intel_connector as argument for hdcp_2_2_capable

  [ Ville Syrjälä ]
  * drm/i915/dsb: Dump the DSB command buffer when DSB fails
  * drm/i915/dsb: Avoid corrupting the first register write
  * drm/i915/dsb: Don't use indexed writes when byte enables are not all set
  * drm/i915: Call the DDC bus i2c adapter "ddc"
  * drm/i915/hdmi: Use connector->ddc everwhere
  * drm/i915/hdmi: Nuke hdmi->ddc_bus
  * drm/i915/hdmi: Remove old i2c symlink

  [ Jani Nikula ]
  * drm/i915: move more of the display probe to display code

  [ Ville Syrjälä ]
  * drm/i915: Move psr unlock out from the pipe update critical section
  * drm/i915: Change intel_pipe_update_{start,end}() calling convention
  * drm/i915: Extract intel_crtc_vblank_evade_scanlines()
  * drm/i915: Enable VRR later during fastsets
  * drm/i915: Adjust seamless_m_n flag behaviour
  * drm/i915: Optimize out redundant M/N updates
  * drm/i915: Relocate is_in_vrr_range()
  * drm/i915: Validate that the timings are within the VRR range
  * drm/i915: Disable VRR during seamless M/N changes
  * drm/i915: Update VRR parameters in fastset
  * drm/i915: Assert that VRR is off during vblank evasion if necessary
  * drm/i915: Implement transcoder LRR for TGL+

  [ Lucas De Marchi ]
  * drm/i915: Re-order if/else ladder in intel_detect_pch()

  [ Gustavo Sousa ]
  * drm/i915/xe2lpd: Add fake PCH

  [ Stanislav Lisovskiy ]
  * drm/i915/xe2lpd: Treat cursor plane as regular plane for DDB allocation

  [ Luca Coelho ]
  * drm/i915/xe2lpd: Read pin assignment from IOM

  [ Lucas De Marchi ]
  * drm/i915/lnl: Add gmbus/ddc support

  [ Gustavo Sousa ]
  * drm/i915/xe2lpd: Add support for HPD

  [ Ville Syrjälä ]
  * drm/i915/dsb: Use non-locked register access
  * drm/i915/dsb: Define more DSB bits
  * drm/i915/dsb: Define the contents of some intstructions bit better
  * drm/i915/dsb: Introduce intel_dsb_noop()
  * drm/i915/dsb: Introduce intel_dsb_reg_write_masked()
  * drm/i915/dsb: Add support for non-posted DSB registers writes
  * drm/i915/dsb: Load LUTs using the DSB during vblank
  * drm/i915/dsb: Evade transcoder undelayed vblank when using DSB
  * drm/i915: Introduce skl_watermark_max_latency()
  * drm/i915: Introduce intel_crtc_scanline_to_hw()
  * drm/i915/dsb: Use DEwake to combat PkgC latency

  [ Imre Deak ]
  * drm/i915: Add helper to modeset a set of pipes
  * drm/i915: Rename intel_modeset_all_pipes() to intel_modeset_all_pipes_late()
  * drm/i915: Factor out a helper to check/compute all the CRTC states

  [ Jani Nikula ]
  * drm/i915/mocs: use to_gt() instead of direct &i915->gt

  [ Ville Syrjälä ]
  * drm/i915: Constify the snps/c10x PLL state checkers
  * drm/i915/dsb: Allocate command buffer from local memory
  * drm/i915/dsb: Correct DSB command buffer cache coherency settings

  [ Mika Kahola ]
  * drm/i915/display: Reset message bus after each read/write operation

  [ Ville Syrjälä ]
  * drm/i915: Move the g45 PEG band gap HPD workaround to the HPD code

  [ Animesh Manna ]
  * drm/i915/dsb: DSB code refactoring

  [ Jani Nikula ]
  * drm/i915: move *_crtc_clock_get() to intel_dpll.c

  [ Jouni Högander ]
  * drm/i915/psr: Move plane sel fetch configuration into plane source files

  [ Clint Taylor ]
  * drm/i915/dgfx: DGFX uses direct VBT pin mapping

  [ heminhong ]
  * drm/i915: correct the input parameter on _intel_dsb_commit()

  [ Maarten Lankhorst ]
  * drm/i915/display: Use i915_gem_object_get_dma_address to get dma address

  [ Ville Syrjälä ]
  * drm/i915: Stop accessing crtc->state from the flip done irq

  [ Jouni Högander ]
  * drm/i915/display: Take care of VSC select field in video dip ctl register

  [ Haridhar Kalvala ]
  * drm/i915/mtl: Add fake PCH for Meteor Lake

  [ José Roberto de Souza ]
  * drm/i915: Disable DSB in Xe KMD

  [ Matt Roper ]
  * drm/i915: Add additional ARL PCI IDs

  [ Harish Chegondi ]
  * drm/i915/xelpg: Extend driver code of Xe_LPG to Xe_LPG+

  [ Matt Roper ]
  * drm/i915/xelpg: Extend some workarounds/tuning to gfx version 12.74

  [ Ville Syrjälä ]
  * drm/i915: Decouple intel_crtc_vblank_evade_scanlines() from atomic commits
  * drm/i915: Reorder drm_vblank_put() vs. need_vlv_dsi_wa
  * drm/i915: Introduce struct intel_vblank_evade_ctx
  * drm/i915: Include need_vlv_dsi_wa in intel_vblank_evade_ctx
  * drm/i915: Extract intel_vblank_evade()
  * drm/i915: Move the min/max scanline sanity check into intel_vblank_evade()
  * drm/i915: Perform vblank evasion around legacy cursor updates
  * Revert "drm/i915/xe2lpd: Treat cursor plane as regular plane for DDB allocation"

  [ Vinay Belgaumkar ]
  * drm/i915/mtl: Wake GT before sending H2G message

  [ Lucas De Marchi ]
  * drm/i915/xe2lpd: Move D2D enable/disable

  [ Jani Nikula ]
  * drm/print: move enum drm_debug_category etc. earlier in drm_print.h

  [ Ville Syrjälä ]
  * drm/i915: Move intel_vblank_evade() & co. into intel_vblank.c

  [ Ravi Kumar Vodapalli ]
  * drm/i915/display: update pll values in sync with Bspec for MTL

  [ Suraj Kandpal ]
  * drm/i915/lnl: Add pkgc related register

  [ Ville Syrjälä ]
  * drm/i915/vrr: Generate VRR "safe window" for DSB

  [ Jani Nikula ]
  * drm/i915/hdmi: convert *_port_to_ddc_pin() to *_encoder_to_ddc_pin()

  [ Tejas Upadhyay ]
  * drm/i915/mtl: Update workaround 14018575942

  [ Arun R Murthy ]
  * drm/i915/dp: Remove support for UHBR13.5

  [ Jackie Liu ]
  * KYLIN: android: revert "staging: remove ashmem"

  [ Jiajia Liu ]
  * KYLIN: x86/config: enable ASHMEM

 -- Xie Wei <xiewei@kylinos.cn>  Tue, 30 Jul 2024 17:19:17 +0800

linux (6.6.0-1.0ok9) nile; urgency=medium

  [ Peter Ujfalusi ]
  * ALSA: hda: intel-nhlt: Ignore vbps when looking for DMIC 32 bps format

  [ fuhao ]
  * HYGON: x86/amd_nb: Add support for Hygon family 18h model 7h
  * HYGON: EDAC/amd64: Add support for Hygon family 18h model 7h
  * HYGON: perf/x86/uncore: Add L3 PMU support for Hygon family 18h model 7h
  * HYGON: x86/cpu: Get LLC ID for Hygon family 18h model 10h
  * HYGON: x86/amd_nb: Add support for Hygon family 18h model 10h
  * HYGON: EDAC/amd64: Add support for Hygon family 18h model 10h
  * HYGON: hwmon/k10temp: Add support for Hygon family 18h model 10h
  * HYGON: ALSA: hda: Add support for Hygon family 18h model 10h HD-Audio

  [ Jiajia Liu ]
  * KYLIN: x86/config: add CFG80211_WEXT=y

  [ Tianrui Zhao ]
  * LoongArch: KVM: Add kvm related header files
  * LoongArch: KVM: Implement kvm module related interface
  * LoongArch: KVM: Implement kvm hardware enable, disable interface
  * LoongArch: KVM: Implement VM related functions
  * LoongArch: KVM: Add vcpu related header files
  * LoongArch: KVM: Implement basic vcpu interfaces
  * LoongArch: KVM: Implement basic vcpu ioctl interfaces
  * LoongArch: KVM: Implement fpu operations for vcpu
  * LoongArch: KVM: Implement vcpu interrupt operations
  * LoongArch: KVM: Implement vcpu load and vcpu put operations
  * LoongArch: KVM: Implement misc vcpu related interfaces
  * LoongArch: KVM: Implement vcpu timer operations
  * LoongArch: KVM: Implement virtual machine tlb operations
  * LoongArch: KVM: Implement kvm mmu operations
  * LoongArch: KVM: Implement handle csr exception
  * LoongArch: KVM: Implement handle iocsr exception
  * LoongArch: KVM: Implement handle idle exception
  * LoongArch: KVM: Implement handle gspr exception
  * LoongArch: KVM: Implement handle mmio exception
  * LoongArch: KVM: Implement handle fpu exception
  * LoongArch: KVM: Implement kvm exception vectors
  * LoongArch: KVM: Implement vcpu world switch
  * LoongArch: KVM: Enable kvm config and add the makefile
  * LoongArch: KVM: Supplement kvm document about LoongArch-specific part
  * LoongArch: KVM: Add maintainers for LoongArch KVM

  [ Bibo Mao ]
  * LoongArch: KVM: Optimization for memslot hugepage checking
  * LoongArch: KVM: Remove SW timer switch when vcpu is halt polling
  * LoongArch: KVM: Allow to access HW timer CSR registers always
  * LoongArch: KVM: Remove kvm_acquire_timer() before entering guest
  * LoongArch: KVM: Fix timer emulation with oneshot mode

  [ Tianrui Zhao ]
  * LoongArch: KVM: Add LSX (128bit SIMD) support
  * LoongArch: KVM: Add LASX (256bit SIMD) support

  [ WANG Xuerui ]
  * LoongArch: KVM: Fix input validation of _kvm_get_cpucfg() & kvm_check_cpucfg()
  * LoongArch: KVM: Rename _kvm_get_cpucfg() to _kvm_get_cpucfg_mask()
  * LoongArch: KVM: Streamline kvm_check_cpucfg() and improve comments

  [ Randy Dunlap ]
  * LoongArch: KVM: Add returns to SIMD stubs

  [ Bibo Mao ]
  * LoongArch: KVM: Start SW timer only when vcpu is blocking
  * LoongArch: KVM: Do not restart SW timer when it is expired
  * LoongArch: KVM: Set reserved bits as zero in CPUCFG
  * LoongArch: KVM: Add hypercall instruction emulation support
  * LoongArch: KVM: Add cpucfg area for kvm hypervisor
  * LoongArch: KVM: Add vcpu search support from physical cpuid
  * LoongArch: KVM: Add pv ipi support on kvm side
  * LoongArch: Add pv ipi support on guest kernel side
  * Documentation: KVM: Add hypercall for LoongArch
  * LoongArch: KVM: Add software breakpoint support
  * irqchip/loongson-eiointc: Add virt extension support
  * LoongArch: KVM: Add steal time support in kvm side
  * LoongArch: Add steal time support in guest side

  [ Song Gao ]
  * LoongArch: KVM: Add PMU support

  [ Gergo Koteles ]
  * ALSA: hda/tas2781: do not use regcache
  * ALSA: hda/tas2781: move set_drv_data outside tasdevice_init
  * ALSA: hda/tas2781: remove sound controls in unbind
  * ASoC: tas2781: add support for FW version 0x0503
  * ASoC: tas2781: add module parameter to tascodec_init()
  * ALSA: hda/realtek: tas2781: enable subwoofer volume control

  [ Willian Wang ]
  * ALSA: hda/realtek: Add special fixup for Lenovo 14IRP8

  [ Gergo Koteles ]
  * ALSA: hda/tas2781: use dev_dbg in system_resume
  * ALSA: hda/tas2781: add lock to system_suspend
  * ALSA: hda/tas2781: do not reset cur_* values in runtime_suspend
  * ALSA: hda/tas2781: add ptrs to calibration functions
  * ALSA: hda/tas2781: do not call pm_runtime_force_* in system_resume/suspend
  * ALSA: hda/tas2781: configure the amp after firmware load
  * ALSA: hda/tas2781: restore power state after system_resume
  * ALSA: hda/tas2781: remove digital gain kcontrol
  * ALSA: hda/tas2781: add locks to kcontrols

  [ Shenghao Ding ]
  * ALSA: hda/tas2781: correct the register for pow calibrated data
  * ALSA: hda/tas2781: Add new vendor_id and subsystem_id to support ThinkPad ICE-1
  * ASoC: tas2781: Fix a warning reported by robot kernel test
  * ASoC: tas2781: Fix wrong loading calibrated data sequence

  [ Simon Trimmer ]
  * ALSA: hda: tas2781: Component should be unbound before deconstruction

  [ Jiajia Liu ]
  * KYLIN: x86/config: enable ti tas2781 dsp support

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 05 Jul 2024 14:54:25 +0800

linux (6.6.0-1.0ok8) nile; urgency=medium

  [ Tiezhu Yang ]
  * LoongArch: Fix S3 and S4 in some cases
  * drivers/gpu/drm/arise: Do not set config DRM_ARISE as m by default

  [ brightyi ]
  * update glenfly arise1 kernel code

  [ chen zhang ]
  * Revert "drivers/gpu/drm/arise: Do not set config DRM_ARISE as m by default"

  [ 谢辉军 ]
  * update drivers/android/binder.c. 适配支持 KMRE Binder驱动
  * update drivers/net/wireless/virtual/virt_wifi.c. 适配支持 KMRE virt_wifi驱动

 -- Xie Wei <xiewei@kylinos.cn>  Thu, 13 Jun 2024 10:47:02 +0800

linux (6.6.0-1.0ok7) nile; urgency=medium

  [ Zack Rusin ]
  * drm/vmwgfx: Fix prime import/export
  * drm/vmwgfx: Fix crtc's atomic check conditional
  * drm/vmwgfx: Sort primary plane formats by order of preference

  [ Felix Kuehling ]
  * Revert "drm/prime: Unexport helpers for fd/handle conversion"

  [ Philip Yang ]
  * drm/prime: Support page array >= 4GB

  [ Rob Clark ]
  * drm/prime: Unbreak virtgpu dma-buf export

 -- xiewei <xiewei@kylinos.cn>  Wed, 05 Jun 2024 20:24:00 +0800

linux (6.6.0-1.0ok6) nile; urgency=medium

  [ Krystian Pradzynski ]
  * accel/ivpu: Update FW API

  [ Stanislaw Gruszka ]
  * accel/ivpu: Remove unneeded drm_driver declaration

  [ Tomasz Rusinowicz ]
  * accel/ivpu: Add dvfs_mode file to debugfs

  [ Karol Wachowski ]
  * accel/ivpu: Remove reset from power up sequence

  [ Andrzej Kacprowski ]
  * accel/ivpu: Add support for VPU_JOB_FLAGS_NULL_SUBMISSION_MASK

  [ Karol Wachowski ]
  * accel/ivpu: Change test_mode module param to bitmask

  [ Andrzej Kacprowski ]
  * accel/ivpu/40xx: Capture D0i3 entry host and device timestamps
  * accel/ivpu: Pass D0i3 residency time to the VPU firmware

  [ Karol Wachowski ]
  * accel/ivpu: Introduce ivpu_ipc_send_receive_active()

  [ Stanislaw Gruszka ]
  * accel/ivpu/37xx: Print warning when VPUIP is not idle during power down

  [ Andrzej Kacprowski ]
  * accel/ivpu: Add support for delayed D0i3 entry message

  [ Krystian Pradzynski ]
  * accel/ivpu/40xx: Allow to change profiling frequency

  [ Stanislaw Gruszka ]
  * accel/ivpu: Assure device is off if power up sequence fail
  * accel/ivpu: Stop job_done_thread on suspend
  * accel/ivpu: Abort pending rx ipc on reset

  [ Karol Wachowski ]
  * accel/ivpu: Print CMDQ errors after consumer timeout
  * accel/ivpu: Make DMA allocations for MMU600 write combined

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Simplify MMU SYNC command
  * accel/ivpu: Rename VPU to NPU in product strings
  * accel/ivpu: Fix compilation with CONFIG_PM=n
  * accel/ivpu: Allocate vpu_addr in gem->open() callback
  * accel/ivpu: Fix locking in ivpu_bo_remove_all_bos_from_context()
  * accel/ivpu: Remove support for uncached buffers
  * accel/ivpu: Use GEM shmem helper for all buffers

  [ Stanislaw Gruszka ]
  * accel/ivpu: Rename cons->rx_msg_lock
  * accel/ivpu: Do not use irqsave in ivpu_ipc_dispatch
  * accel/ivpu: Do not use cons->aborted for job_done_thread
  * accel/ivpu: Use dedicated work for job timeout detection

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Use threaded IRQ to handle JOB done messages

  [ Wachowski, Karol ]
  * accel/ivpu: Dump MMU events in case of VPU boot timeout
  * accel/ivpu: Call diagnose failure in ivpu_mmu_cmdq_sync()
  * accel/ivpu: Add debug prints for MMU map/unmap operations
  * accel/ivpu: Add diagnostic messages when VPU fails to boot or suspend

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Fix for missing lock around drm_gem_shmem_vmap()
  * accel/ivpu: Free buffer sgt on unbind
  * accel/ivpu: Disable buffer sharing among VPU contexts
  * accel/ivpu: Improve buffer object debug logs

  [ Wachowski, Karol ]
  * accel/ivpu: Deprecate DRM_IVPU_PARAM_CONTEXT_PRIORITY param

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Disable PLL after VPU IP reset during FLR
  * accel/ivpu: Fix dev open/close races with unbind
  * accel/ivpu: Improve stability of ivpu_submit_ioctl()
  * accel/ivpu: Improve recovery and reset support

  [ Wachowski, Karol ]
  * accel/ivpu: Correct MMU queue size checking functions

  [ Krystian Pradzynski ]
  * accel/ivpu/40xx: Enable D0i3 message

  [ Grzegorz Trzebiatowski ]
  * accel/ivpu: Add job status for jobs aborted by the driver

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Fix DevTLB errors on suspend/resume and recovery
  * accel/ivpu: Rename TILE_SKU_BOTH_MTL to TILE_SKU_BOTH
  * accel/ivpu: Remove legacy firmware name
  * accel/ivpu: Update FW API headers

  [ Krystian Pradzynski ]
  * accel/ivpu: Add support for FW boot param system_time_us

  [ Wachowski, Karol ]
  * accel/ivpu: Use lazy allocation for doorbell IDs

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Fix ivpu_reset_engine_fn merge issue

  [ Wachowski, Karol ]
  * accel/ivpu: Refactor BO creation functions

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Rename VPU to NPU in message strings

  [ Wachowski, Karol ]
  * accel/ivpu: Check return code of ipc->lock init

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Remove d3hot_after_power_off WA

  [ Wachowski, Karol ]
  * accel/ivpu: Fix PCI D0 state entry in resume

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Put NPU back to D3hot after failed resume

  [ Wachowski, Karol ]
  * accel/ivpu: Improve clarity of MMU error messages

  [ Jacek Lawrynowicz ]
  * accel/ivpu: Return max freq for DRM_IVPU_PARAM_CORE_CLOCK_RATE
  * accel/ivpu: Fix missed error message after VPU rename
  * accel/ivpu: Fix deadlock in context_xa

  [ leoliu-oc ]
  * iommu/dma: Adjust the position of goto iova_reserve
  * efi: cper: Update Zhaoxin/Centaur ZDI/ZPI error decode

  [ Srinivas Pandruvada ]
  * cpufreq: intel_pstate: Allow model specific EPPs
  * cpufreq: intel_pstate: Update default EPPs for Meteor Lake

  [ David E. Box ]
  * platform/x86/intel/vsec: Remove nuisance message
  * platform/x86/intel/pmc/lnl: Add GBE LTR ignore during suspend
  * platform/x86/intel/pmc/lnl: Remove SSRAM support
  * platform/x86/intel/pmc/arl: Put GNA device in D3

  [ brightyi ]
  * add glenfly arise1 kernel code

  [ Heikki Krogerus ]
  * usb: dwc3: pci: add support for the Intel Arrow Lake-H
  * usb: dwc3: pci: Drop duplicate ID

  [ Quanxian Wang ]
  * tools/power/turbostat: Cache graphics sysfs path

  [ Zhang Rui ]
  * tools/power/turbostat: Unify graphics sysfs snapshots

  [ Quanxian Wang ]
  * tools/power/turbostat: Introduce BIC_SAM_mc6/BIC_SAMMHz/BIC_SAMACTMHz

  [ Zhang Rui ]
  * tools/power/turbostat: Add support for new i915 sysfs knobs
  * tools/power/turbostat: Add support for Xe sysfs knobs

  [ Wentong Wu ]
  * ACPI: scan: Defer enumeration of devices with a _DEP pointing to IVSC device
  * mei: Add transport driver for IVSC device
  * mei: Add MEI hardware support for IVSC device

  [ Uwe Kleine-König ]
  * mei: vsc: Convert to platform remove callback returning void

  [ Wentong Wu ]
  * mei: Add Meteor Lake support for IVSC device

  [ Sakari Ailus ]
  * mei: vsc: Call wake_up() in the threaded IRQ handler
  * mei: vsc: Don't use sleeping condition in wait_event_timeout()
  * mei: vsc: Assign pinfo fields in variable declaration

  [ Artur Rojek ]
  * sh: hd64461: Make setup_hd64461() static

  [ Sakari Ailus ]
  * Revert "mei: vsc: Call wake_up() in the threaded IRQ handler"
  * mei: vsc: Unregister interrupt handler for system suspend

  [ Kan Liang ]
  * x86/smp: Export symbol cpu_clustergroup_mask()

  [ Tony Luck ]
  * x86/cpu: Add model number for Intel Clearwater Forest processor
  * x86/cpu: Add model number for another Intel Arrow Lake mobile processor

  [ Quanxian Wang ]
  * x86/cpu/vfm: Add/initialize x86_vfm field to struct cpuinfo_x86

  [ Tony Luck ]
  * x86/cpu/vfm: Add new macros to work with (vendor/family/model) values
  * x86/cpu/vfm: Update arch/x86/include/asm/intel-family.h

  [ Kan Liang ]
  * perf/x86/intel/cstate: Cleanup duplicate attr_groups
  * perf/x86/intel/cstate: Add Sierra Forest support
  * perf/x86/intel/cstate: Add Grand Ridge support

  [ Tony Luck ]
  * perf/x86/intel/cstate: Switch to new Intel CPU model defines

  [ Kan Liang ]
  * perf/x86/intel/uncore: Generic uncore_get_uncores and MMIO format of SPR
  * perf/x86/intel/uncore: Support Granite Rapids
  * perf/x86/intel/uncore: Support Sierra Forest and Grand Ridge

  [ Tony Luck ]
  * perf/x86/intel/uncore: Switch to new Intel CPU model defines
  * perf/x86/msr: Switch to new Intel CPU model defines

  [ Ivan Vecera ]
  * virtchnl: Add header dependencies

  [ Quanxian Wang ]
  * intel: add bit macro includes where needed

  [ Jesse Brandeburg ]
  * intel: legacy: field get conversion

  [ Vitaly Lifshits ]
  * e1000e: Workaround for sporadic MDI error on Meteor Lake systems
  * e1000e: change usleep_range to udelay in PHY mdic access

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 31 May 2024 16:59:03 +0800

linux (6.6.0-1.0ok5) nile; urgency=medium

  [ Tiezhu Yang ]
  * kernel/sched/topology: Fix build errors for non-x86

  [ liuyun ]
  * LoongArch: add kernel setvirtmap for runtime
  * LoongArch: Old BPI compatibility
  * LoongArch: Fix virtual machine startup error

  [ yangqiming ]
  * LoongArch: Fixed EIOINTC structure members

  [ Hongchen Zhang ]
  * LoongArch: use arch specific phys_to_dma

  [ liuyun ]
  * cpufreq: Add cpufreq driver for LoongArch

  [ Chong Qiao ]
  * fbdev: add ls2k500sfb driver for ls2k500 bmc.
  * ipmi: add ls2k500 bmc ipmi support.
  * LoongArch: defconfig: enable CONFIG_FB_LS2K500=m.
  * LoongArch: fix ls2k500 bmc not work when installing iso

  [ Baoqi Zhang ]
  * LS7A2000: Add quirk for OHCI device rev 0x02

  [ Tianli Xiong ]
  * PCI: Check if entry->offset already exist for mem resource
  * PCI: Check if the pci controller can use both CFG0 and CFG1 mode to access configuration space

  [ Jianmin Lv ]
  * PCI: PM: fix pcie mrrs restoring

  [ Hongchen Zhang ]
  * PCI: fix kabi error caused by pm_suspend_target_state

  [ Tianli Xiong ]
  * LoongArch: fix some PCIE card not scanning properly

  [ Jianmin Lv ]
  * PCI: LS7A2000: fix pm transition of devices under pcie port

  [ Baoqi Zhang ]
  * PCI: LS7A2000: fix GPU card error

  [ suijingfeng ]
  * PCI: fix X server auto probe fail when both ast and etnaviv drm present

  [ Juxin Gao ]
  * PCI: irq: Add early_param pci_irq_limit to limit pci irq numbers

  [ Tianli Xiong ]
  * LoongArch: pci root bridige set acpi companion only when not acpi_disabled.

  [ Xianglai Li ]
  * loongarch/kernel: Fix loongarch compilation error

  [ zhangtianyang ]
  * LoongArch: Adapted SECTION_SIZE_BITS with page size

  [ Jianmin Lv ]
  * LoongArch: Remove generic irq migration

  [ Chong Qiao ]
  * irqchip/loongson-pch-pic: 7a1000 int_clear reg must use 64bit write.

  [ Yingkun Meng ]
  * LoongArch: defconfig: Enable a large number of configurations

  [ Youling Tang ]
  * LoongArch: kdump: Add memory reservation for old kernel
  * LoongArch: kexec: Add compatibility with old interfaces
  * LoongArch: Fix kdump failure on v40 interface specification
  * LoongArch: kdump: Add high memory reservation

  [ Tianli Xiong ]
  * irqchip/loongson-liointc: Set different isr for differnt core

  [ Huacai Chen ]
  * drm/radeon: Workaround radeon driver bug for Loongson

  [ Hongchen Zhang ]
  * net: stmmac: fix potential double free of dma descriptor resources
  * LoongArch: enable CONFIG_DEBUG_INFO_BTF by default

  [ Bibo Mao ]
  * LoongArch/smp: Refine some ipi functions on LoongArch platform

  [ leoliu-oc ]
  * iommu/vt-d: fix device_to_iommu func mismatch issue
  * ctypto: zhaoxin-aes: Rename variable to resolve compilation conflicts
  * pinctrl: zhaoxin: Add more header files
  * mce: apei: Add explicit type casting

 -- Xie Wei <xiewei@kylinos.cn>  Thu, 25 Apr 2024 14:15:01 +0800

linux (6.6.0-1.0ok4) nile; urgency=medium

  [ chen zhang ]
  * x86/ZHAOXIN: fix compile errors.

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 24 Apr 2024 18:12:44 +0800

linux (6.6.0-1.0ok3) nile; urgency=medium

  [ leoliu-oc ]
  * x86/cpufeatures: Add Zhaoxin feature bits
  * x86/cpu: Add detect extended topology for Zhaoxin CPUs
  * x86/mce: Add Centaur MCA support
  * ALSA: hda: Add support of Zhaoxin SB HDAC
  * ALSA: hda: Add support of Zhaoxin NB HDAC
  * ALSA: hda: Add support of Zhaoxin NB HDAC codec
  * x86/mce: Set bios_cmci_threshold for CMCI threshold
  * ata: Add support for Zhaoxin Serial ATA IDE.
  * hwrng: Add support for Zhaoxin HW Random Number Generator
  * crypto: Add support for Zhaoxin AES algorithm
  * crypto: Add support for Zhaoxin SHA algorithm
  * hwmon: Add support for Zhaoxin core temperature monitoring
  * USB:Fix kernel NULL pointer when unbind UHCI form vfio-pci
  * iommu/vt-d: Add support for detecting ACPI namespace device in RMRR
  * crypto: x86/crc32c-intel - Don't match some Zhaoxin CPUs
  * x86/perf: Add uncore performance events support for Zhaoxin CPU
  * rtc: Fix set RTC time delay 500ms on some Zhaoxin SOCs
  * ata: libata: disabling PhyRdy Change Interrupt based on actual LPM capability
  * x86/tsc: Make cur->adjusted values in package#1 to be the same
  * Turning off Zhaoxin ahci controller runtime pm from sysfs
  * Add MWAIT Cx support for Zhaoxin CPUs
  * Add support for Zhaoxin I2C controller
  * Add early quirk to identify kh-40000
  * Add kh40000_direct_dma_ops for KH-40000 platform
  * Add kh40000_iommu_dma_ops for KH-40000 platform
  * cpufreq: ACPI: add ITMT support when CPPC enabled
  * Set ASYM_PACKING Flag on Zhaoxin KH-40000 platform
  * crypto: x86/sm2 -add Zhaoxin SM2 algorithm implementation
  * Add support Zhaoxin GPIO pinctrl
  * efi: cper: Add Zhaoxin/Centaur ZDI/ZPI error decode
  * i2c: smbus: Add support for Zhaoxin SMBUS controller

  [ LeoLiuoc ]
  * PCI: Add ACS quirk for more Zhaoxin Root Ports

  [ leoliu-oc ]
  * Fix the issue of RMRR reserver iova on multiple devices in the same group
  * USB: UAS: return ENODEV when submit urbs fail with device not attached
  * x86/mce/zhaoxin: Enable mcelog to decode PCIE, ZDI/ZPI, and DRAM errors
  * fs/address_space: move i_mmap_rwsem to mitigate a false sharing with i_mmap.

  [ 夜山 ]
  * Support JMGPU JM9100

  [ leoliu-oc ]
  * x86/mce/zhaoxin: Fix EXPORT_SYMBOL_GPL function names mismatch issue

  [ WangYuli ]
  * drm/mwv207: Cleaning up terrible code styles

  [ leoliu-oc ]
  * x86/delay: add support for Zhaoxin ZXPAUSE instruction
  * KVM: x86: Introduce support for Zhaoxin ZXPAUSE instruction
  * x86/cpu: Remove pointless evaluation of x86_coreid_bits

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 24 Apr 2024 15:06:04 +0800

linux (6.6.0-1.0ok2) nile; urgency=medium

  [ David E. Box ]
  * platform/x86/intel/vsec: Fix xa_alloc memory leak
  * platform/x86/intel/vsec: Remove unnecessary return
  * platform/x86/intel/vsec: Move structures to header
  * platform/x86/intel/vsec: remove platform_info from vsec device structure
  * platform/x86/intel/vsec: Use cleanup.h
  * platform/x86/intel/vsec: Assign auxdev parent by argument

  [ Gayatri Kammela ]
  * platform/x86/intel/vsec: Add intel_vsec_register

  [ David E. Box ]
  * platform/x86/intel/vsec: Add base address field
  * platform/x86/intel/pmt: Add header to struct intel_pmt_entry
  * platform/x86/intel/pmt: telemetry: Export API to read telemetry

  [ Xi Pardee ]
  * platform/x86:intel/pmc: Call pmc_get_low_power_modes from platform init

  [ David E. Box ]
  * platform/x86/intel/pmc: Allow pmc_core_ssram_init to fail
  * platform/x86/intel/pmc: Cleanup SSRAM discovery
  * platform/x86/intel/pmc/mtl: Use return value from pmc_core_ssram_init()
  * platform/x86/intel/pmc: Find and register PMC telemetry entries

  [ Rajvi Jingar ]
  * platform/x86/intel/pmc: Display LPM requirements for multiple PMCs

  [ Xi Pardee ]
  * platform/x86/intel/pmc: Retrieve LPM information using Intel PMT
  * platform/x86/intel/pmc: Read low power mode requirements for MTL-M and MTL-P

  [ David E. Box ]
  * platform/x86/intel/pmc: Add debug attribute for Die C6 counter
  * platform/x86/intel/pmc: Show Die C6 counter on Meteor Lake

  [ Rajvi Jingar ]
  * platform/x86/intel/pmc: Fix in mtl_punit_pmt_init()
  * platform/x86/intel/pmc: Add PSON residency counter
  * platform/x86/intel/pmc: Add regmap for Tiger Lake H PCH
  * platform/x86/intel/pmc: Add PSON residency counter for Alder Lake
  * platform/x86/intel/pmc: Move common code to core.c
  * platform/x86/intel/pmc: Add ssram_init flag in PMC discovery in Meteor Lake
  * platform/x86/intel/pmc: Add Arrow Lake S support to intel_pmc_core driver
  * platform/x86/intel/pmc: Add Lunar Lake M support to intel_pmc_core driver

  [ Andy Shevchenko ]
  * pinctrl: intel: Add Intel Meteor Point pin controller and GPIO support
  * pinctrl: intel: Provide Intel pin control wide PM ops structure
  * pinctrl: alderlake: Switch to use Intel pin control PM ops
  * pinctrl: broxton: Replace MODULE_ALIAS() with MODULE_DEVICE_TABLE()
  * pinctrl: broxton: Switch to use Intel pin control PM ops
  * pinctrl: cannonlake: Switch to use Intel pin control PM ops
  * pinctrl: cedarfork: Switch to use Intel pin control PM ops
  * pinctrl: denverton: Enable platform device in the absence of ACPI enumeration
  * pinctrl: denverton: Switch to use Intel pin control PM ops
  * pinctrl: elkhartlake: Switch to use Intel pin control PM ops
  * pinctrl: emmitsburg: Switch to use Intel pin control PM ops
  * pinctrl: geminilake: Switch to use Intel pin control PM ops
  * pinctrl: icelake: Switch to use Intel pin control PM ops
  * pinctrl: jasperlake: Switch to use Intel pin control PM ops
  * pinctrl: lakefield: Switch to use Intel pin control PM ops
  * pinctrl: lewisburg: Switch to use Intel pin control PM ops
  * pinctrl: meteorlake: Switch to use Intel pin control PM ops
  * pinctrl: sunrisepoint: Switch to use Intel pin control PM ops
  * pinctrl: tigerlake: Switch to use Intel pin control PM ops
  * pinctrl: intel: Make PM ops functions static

  [ Mika Westerberg ]
  * spi: intel-pci: Remove Meteor Lake-S SoC PCI ID from the list
  * spi: intel-pci: Add support for Arrow Lake SPI serial flash

  [ Srinivas Pandruvada ]
  * cpufreq: intel_pstate: Update hybrid scaling factor for Meteor Lake

 -- Xie Wei <xiewei@kylinos.cn>  Tue, 12 Mar 2024 17:33:55 +0800

linux (6.6.0-1.0ok1) nile; urgency=medium

  * build for openKylin 2.0 (nile)

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 06 Mar 2024 14:46:34 +0800

linux (6.6.0-1.0) v101; urgency=medium

  * initial packaging

 -- Jiajia Liu <liujiajia@kylinos.cn>  Tue, 27 Feb 2024 14:53:54 +0800
